Index: /extensions/piclens/language/cs_CZ/description.txt
===================================================================
--- /extensions/piclens/language/cs_CZ/description.txt	(revision 14250)
+++ /extensions/piclens/language/cs_CZ/description.txt	(revision 14250)
@@ -0,0 +1,1 @@
+Aktivuje Cooliris/Piclens (+3D wall) pro vaši Piwigo galerii
Index: /extensions/piclens/language/cs_CZ/index.php
===================================================================
--- /extensions/piclens/language/cs_CZ/index.php	(revision 14250)
+++ /extensions/piclens/language/cs_CZ/index.php	(revision 14250)
@@ -0,0 +1,33 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | PhpWebGallery - a PHP based picture gallery                           |
+// | Copyright (C) 2002-2003 Pierrick LE GALL - pierrick@phpwebgallery.net |
+// | Copyright (C) 2003-2007 PhpWebGallery Team - http://phpwebgallery.net |
+// +-----------------------------------------------------------------------+
+// | file          : $Id: index.php 1912 2007-03-16 06:30:07Z rub $
+// | last update   : $Date: 2007-03-16 07:30:07 +0100 (ven, 16 mar 2007) $
+// | last modifier : $Author: rub $
+// | revision      : $Revision: 1912 $
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+// Recursive call
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: /extensions/piclens/language/cs_CZ/plugin.lang.php
===================================================================
--- /extensions/piclens/language/cs_CZ/plugin.lang.php	(revision 14250)
+++ /extensions/piclens/language/cs_CZ/plugin.lang.php	(revision 14250)
@@ -0,0 +1,221 @@
+<?php
+/*
+ * Plugin Name: CoolIris-Piclens
+ * File :  plugin.lang.php
+* Lang : CZ 
+ */
+
+// Piclenslite button
+$lang['piclens_button']	 				= 'Zobrazit slideshow';
+
+
+// Admin page
+$lang['piclens_config_tab']	 			= 'Konfigurace';
+$lang['piclens_rssfeed_tab'] 			= 'Zdroj RSS';
+$lang['piclens_3dwallconfig_tab'] 		= 'PiclensWall Konfigurace';
+
+// 
+$lang['piclens_admin_title'] 			= 'Cooliris/Piclens PlugIn Konfigurace';
+$lang['piclens_admin_submit']			= 'Uložit';
+$lang['piclens_admin_saveOK'] 			= 'Cooliris-Piclens Konfigurace Uložena';
+$lang['piclens_admin_saveERR1']			= 'crossdomain.xml soubor nenalezen';
+$lang['piclens_admin_saveERR2']			= 'Chyba při kopírování souboru';
+$lang['piclens_admin_saveERR3']			= 'crossdomain.xml soubor už existuje';
+$lang['piclens_admin_saveOK2']			= 'crossdomain.xml soubor byl v pořádku nakopírován do rootu webgalerie';
+$lang['piclens_admin_saveERR4']			= 'Cooliris 3D Wall byl deaktivován, protože plugin PWG Stuff je nainstalován';
+
+$lang['piclens_admin_restoreOK']		= 'Parametry v Konfiguračním souboru (%s) byli uloženy do Databáze';
+$lang['piclens_admin_restoreKO']		= 'Konfigurační soubor (%s) chybí';
+$lang['piclens_admin_savefileOK']		= 'Parametry uloženy do Konfiguračního souboru (%s)';
+$lang['piclens_admin_savefileWN']		= 'Existující konfigurační soubor (%s) byl odstraněn';
+$lang['piclens_admin_restore']			= 'Obnovit nastavení ze souboru';
+$lang['piclens_admin_savefile']			= 'Uložit nastavení do souboru';
+
+$lang['piclens_cfg_title'] 				= 'Piclens : Konfigurace';
+$lang['piclens_cfg_piclens_actived']	= 'Aktivovat Cooliris/Piclens plugin';
+$lang['piclens_cfg_recursiv_actived']	= 'Aktivovat rekurzivně pravidla na sub-kategorie';
+$lang['piclens_cfg_root_actived']		= 'Aktivovat Piclens na Galerii (v Home galerii)';
+$lang['piclens_cfg_lite_actived']		= 'Aktivovat PiclensLite (Piclens bez navigačních pluginů)';
+
+$lang['piclens_cfg_otherplugins_title']	= 'Kompatibilita s dalšími nainstalovanými pluginy';
+$lang['piclens_cfg_plugins_actived']	= 'Zapnout kompatibilitu s <b><u><i>%s</i></u></b> Pluginem';
+$lang['piclens_label_plugins']			= '<b><u><i>%s</i></u> Plugin instalován </b>a <b>aktivován</b>';
+$lang['piclens_secureimage_detail']		= 'Použij getFile metodu ze SecureImage pluginu pro nahrávání obrázků.';
+$lang['piclens_extendeddesc_detail']	= 'Používá jazykový štítek [lang] pro popis obrázku a < !--hidden-- > štítek pro skrytí kategorií a obrázků.';
+
+$lang['piclens_cfg_specials_actived']	= 'Aktivovat Piclens na "Specialních" stránkách';
+$lang['piclens_recentpics_label'] 		= 'Nejnovější obrázky';
+$lang['piclens_recentcats_label'] 		= 'Nejnovější kategorie';
+$lang['piclens_mostvisited_label'] 		= 'Nejčastěji zobrazované';
+$lang['piclens_bestrated_label'] 		= 'Nejlépe hodnocené';
+$lang['piclens_favorites_label'] 		= 'Moje oblíbené';
+
+$lang['piclens_label_withoutrecursive']	= 'Bez rekurze';
+$lang['piclens_label_withrecursive']	= 'S rekurzí';
+
+$lang['piclens_recurs_mode_title']		= 'Rekurzivní Metoda';
+$lang['piclens_recurs_mode_label']		= 'Metoda Rekurze  : ';
+$lang['piclens_recursive_standard']		= 'Standard';
+$lang['piclens_recursive_standard_title']= 'Standardní Metoda';
+$lang['piclens_recursive_standard_detail']= 'Home<br/>&nbsp;\- Kategorie A<br/>&nbsp;\&nbsp;&nbsp;&nbsp;\- Sub Kategorie AA<br/>&nbsp;\&nbsp;&nbsp;&nbsp;\&nbsp;&nbsp;&nbsp;\- obrázky_AAxx<br/>&nbsp;\&nbsp;&nbsp;&nbsp;\ <br/>&nbsp;\&nbsp;&nbsp;&nbsp;\- Sub Kategorie AB<br/>&nbsp;\&nbsp;&nbsp;&nbsp;\&nbsp;&nbsp;&nbsp;\- obrázky_ABxx<br/>&nbsp;\<br/>&nbsp;\- Kategorie B<br/>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;\- Sub Kategorie BA<br/>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;\&nbsp;&nbsp;&nbsp;\- obrázky_BAxx<br/>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;\<br/>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;\- Sub Kategorie BB<br/>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;\- obrázky_BBxx<br/><br/>- V Home, 1 stream obsahuje všechny obrázky z A a B kategorie a jejich podkategorií (flux Home)<br/>- V každé kategorii (např. A), 1 stream obsahuje všechny obrázky v kategorii a podkategoriích (např. A a AA a AB)<br/>';
+$lang['piclens_recursive_specifique']	= 'Specific';
+$lang['piclens_recursive_specifique_title']= 'Specifická Metoda ';
+$lang['piclens_recursive_specifique_detail']= 'Home<br/>&nbsp;\- Kategorie A<br/>&nbsp;\&nbsp;&nbsp;&nbsp;\- Sub Kategorie AA<br/>&nbsp;\&nbsp;&nbsp;&nbsp;\&nbsp;&nbsp;&nbsp;\- obrázky_AAxx<br/>&nbsp;\&nbsp;&nbsp;&nbsp;\ <br/>&nbsp;\&nbsp;&nbsp;&nbsp;\- Sub Kategorie AB<br/>&nbsp;\&nbsp;&nbsp;&nbsp;\&nbsp;&nbsp;&nbsp;\- obrázky_ABxx<br/>&nbsp;\<br/>&nbsp;\- Kategorie B<br/>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;\- Sub Kategorie BA<br/>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;\&nbsp;&nbsp;&nbsp;\- obrázky_BAxx<br/>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;\<br/>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;\- Sub Kategorie BB<br/>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;\- obrázky_BBxx<br/><br/>- V Home, 1 stream pro každou kategorii obsahuje všechny obrázky z pod-kategorií (např. A a B )<br/>- V každé kategorii (př. A), 1 stream pro kategorii obsahuje všechny obrázky v kategorii (př. stream A) a 1 stream pro každou pod-kategorii obsahuje všechny obrázky ze sub-kategorií (př. stram AA a AB)';
+
+$lang['piclens_recurs_mode_rem']		= '<i>Jakákoliv zvolená metoda, 3D stěna "Cooliris 3D Wall" (Tab 3) funguje ve <b>Standardní Metodě</b></i>';
+
+$lang['piclens_rsscfg_title'] 			= 'Piclens : Parametry RSS zdroje';
+$lang['piclens_rsscfg_exttitle']		= 'Typy souborů zobrazované v Piclens';
+$lang['piclens_rsscfg_ext']				= 'Použít tyto typy souborů : ';
+$lang['piclens_rsscfg_ext1']			= '(Veškeré vybrané koncovky => Použije všechny typy souborů v rss feedu)';
+$lang['piclens_rsscfg_ext2']			= 'Poznámka : !NULL! představuje záznamy bez náhledů (jako třeba videa [.flv například])';
+
+$lang['piclens_rsscfg_TNtype']			= 'Typ obrázků pro náhledy pro Piclens slideshow';
+$lang['piclens_rsscfg_IMGtype']			= 'Normální typ obrázků použitý v Piclens slideshow';
+$lang['piclens_rsscfg_order']			= 'Zobrazení výběru obrázků v PicLens';
+$lang['piclens_rsscfg_order1']			= 'Řazení výběru obrázků v Piclens';
+$lang['piclens_rsscfg_name'] 			= 'Názvy obrázků v Piclens';
+$lang['piclens_rsscfg_namecat']			= 'Zobrazit název Kategorie';
+$lang['piclens_rsscfg_desc'] 			= 'Popisky obrázků v Piclens';
+$lang['piclens_rsscfg_video'] 			= 'Podpora Videa v Piclens';
+
+$lang['piclens_label_orderPiwigo'] 		= 'Výchozí Piwigo';
+$lang['piclens_label_orderCreDate'] 	= 'Vytvořit datum';
+$lang['piclens_label_orderAddDate'] 	= 'Přidat Datum';
+$lang['piclens_label_orderAverage']     = 'Prům. hodnocení';
+$lang['piclens_label_orderBest'] 		= 'Nejlepší hit';
+$lang['piclens_label_orderName']		= 'Název souboru';
+$lang['piclens_label_orderID'] 			= 'Id';
+$lang['piclens_label_orderRand'] 		= 'Náhodné';
+$lang['piclens_label_orderCat'] 		= 'Kategorie';
+$lang['piclens_label_orderRank'] 		= 'Pořadí';
+
+$lang['piclens_label_sortHome'] 		= 'Piclens v Home';
+$lang['piclens_label_sortCat'] 			= 'Piclens v Kategoriích';
+
+$lang['piclens_label_sortPiwigo']		= 'Výchozí Piwigo';
+$lang['piclens_label_sortUp']			= 'Nahoru';
+$lang['piclens_label_sortDown']			= 'Dolů';
+
+$lang['piclens_label_TypeTN']			= 'Náhled';
+$lang['piclens_label_TypeNorm']			= 'Normální';
+$lang['piclens_label_TypeHigh']			= 'Kvalitní';
+
+$lang['piclens_label_Name1']			= 'Název náhledu : velikost';
+$lang['piclens_label_Name2']			= 'Název náhledu';
+$lang['piclens_label_Name3']			= 'Název obrázku';
+$lang['piclens_label_Name4']			= 'Nic';
+
+$lang['piclens_label_Desc1']			= 'Nic';
+$lang['piclens_label_Desc2']			= 'Název obrázku';
+$lang['piclens_label_Desc3']			= 'Popis obrázku';
+
+
+$lang['piclens_wallcfg_title'] 			= 'Piclens : PiclensWall (3D Wall) Konfigurace';
+$lang['piclens_wallcfg_navoption_title']= 'Navigace s Cooliris 3D Wall';
+$lang['piclens_wallcfg_name']			= 'Cooliris 3D Wall Nadpis :';
+$lang['piclens_wallcfg_actived']		= 'Zapnout Cooliris 3DWall';
+$lang['piclens_wallcfg_info']			= '<b>Důležité pro fungování 3DWall : </b>Toto je nezbytné pro nakopírování souboru';
+$lang['piclens_wallcfg_info_suite']		= 'do root webu (nebo úpravě existujícího)';
+$lang['piclens_wallcfg_color']			= 'Barva pozadí pro Cooliris 3D wall';
+$lang['piclens_wallcfg_colorB']			= 'Černé';
+$lang['piclens_wallcfg_colorW']			= 'Bílé';
+$lang['piclens_wallcfg_heigh']			= 'Výška pro Cooliris 3D Wall';
+$lang['piclens_wallcfg_disp']			= 'Volba zobrazování Cooliris 3D wall :';
+$lang['piclens_wallcfg_disp_opt1']		= 'Home';
+$lang['piclens_wallcfg_disp_opt2']		= 'Kategorie';
+$lang['piclens_wallcfg_option']			= 'Zobrazit možnosti nastavení Cooliris 3D Wall :';
+$lang['piclens_wallcfg_option-opt1']	= 'Zobrazit odkazy (embed) pro sdílení stránky na Facebooku a Twitteru ve 3D wall';
+$lang['piclens_wallcfg_option-opt2']	= 'Zobrazit "FullScreen" odkaz';
+$lang['piclens_wallcfg_option-opt3']	= 'Zobrazit "Vyhledávání" odkaz';
+$lang['piclens_wallcfg_option-opt4']	= 'Zobrazit "Sdílecí" odkazy';
+$lang['piclens_wallcfg_option-opt5']	= 'Zobrazit tlačítko s odkazy mimo originalní obsah';
+$lang['piclens_wallcfg_option-opt6']	= 'Zobrazit tlačítko "Ukončit" na individuální položky';
+$lang['piclens_wallcfg_transparent']	= '"Transparentní průhledný" Mód pro wall. <i>Potřebný pro některé horizontální vzhledy</i>';
+$lang['piclens_wallcfg_param']			= 'Cooliris 3D Wall Parametry ';
+$lang['piclens_wallcfg_paramNORM']		= 'Standardní (Same for all the gallery)';
+$lang['piclens_wallcfg_paramSPEC']		= 'Specifické (konfigurace kategorií níže)';
+$lang['piclens_wallcfg_cat_nav']		= 'Nahrazení navigace v náhledech v kategoriích pomocí Cooliris 3D wall';
+$lang['piclens_wallcfg_cat_nav1']		= 'Kategorie pro které zeď nahradí 3D navigace :';
+
+$lang['piclens_wallcfg_swflocal'] 		= '[Volitelné] Použitím lokálního flash souboru (swf) pro 3DWall namísto z Cooliris webu <b>[V tomto případě, soubor crossdomain.xml není potřeba]</b>';
+
+$lang['piclens_wallcfg_nbligne']        = 'Počet řádků zobrazených na zdi ';
+
+$lang['piclens_wallcfg_cat']			= '	Kategorie zařazených do Cooliris 3D zdi (pro parametr \'specific\') :';
+
+$lang['piclens_wallcfg_spec_nav']		= 'Nahrazení navigace na specialních stránkách za Cooliris 3D wall';
+
+$lang['piclens_label_crossdomain1']		= '<i>Soubor <u>crossdomain.xml</u> už existuje v root webu, editujte jej manuálně pokud je to potřeba.</i>';
+$lang['piclens_label_crossdomain2']		= 'Nakopírovat soubor crossdomain.xml  do rootu webu.';
+
+$lang['piclens_label_pwgstuff1']		= '<u>Poznámka :</u> <b>nastavení není k dispozici, protože modul PWG_Stuff je nainstalován (projděte si nastavení v PWG_Stuff). Některá nastavení mohou být upravena zde.</b>';
+$lang['piclens_label_pwgstuff2']		= '<u>Poznámka :</u> Před, instalací <a href=http://fr.piwigo.org/ext/extension_view.php?eid=190>PWG_Stuff</a> přidete PicLens 3DWall blok (osobní přizpůsobení zobrazení v PWG_Stuff).';
+
+$lang['piclens_stuff_notparam']			= '<b>Parametry specifické pro plugin Cooliris PicLens. Nejsou použity v PWG Stuff plugin</b>';
+$lang['piclens_stuff_param_commun']		= '<b>Parametry mohou být podobné jako pro pluginy Cooliris PicLens a PWG-Stuff</b>';
+
+$lang['piclens_3dwallconfig2_tab'] 		= 'Pokročilé nastavení 3DWall';
+$lang['piclens_wallcfgadv_title']       = 'Piclens : Pokročilé nastavení Cooliris 3D Wall';
+$lang['piclens_wallcfg_colorD']         = 'Tmavé';
+$lang['piclens_wallcfg_colorL']         = 'Světlé';
+$lang['piclens_wallcfg_showChrome']    = 'Zobrazit dolní pozadí toolbaru';
+$lang['piclens_wallcfg_showDescription']    = 'Zobraz položku překrývání popisku';
+$lang['piclens_wallcfg_showReflections']    = 'Zobraz odrazy pod obrázky';
+$lang['piclens_wallcfg_showTutorial']    = 'Zobraz zprávu průvodce';
+$lang['piclens_wallcfg_showNavArrows']    = 'Zobrazuj šipky navigace';
+$lang['piclens_wallcfg_backgroundAlpha']    = 'Průhlednost pozadí [0.0-1.0]';
+$lang['piclens_wallcfg_descriptionHeight']    = 'Výška názvu a překryvu popisku [0-100]';
+$lang['piclens_wallcfg_tilt']    = 'Výše náklonu zdi [0-5]';
+$lang['piclens_wallcfg_backgroundColor']    = 'Barva pro pozadí';
+$lang['piclens_wallcfg_glowColor']    = 'Barva kolem vybraného obrázku';
+$lang['piclens_wallcfg_backgroundImage']    = 'URL adresa pro obrázek pozadí zdi';
+$lang['piclens_wallcfg_tutorial']    = 'URL adresa pro obrázek tutoriálu';
+$lang['piclens_wallcfg_tutorialtime']    = 'Zpoždění Tutoriálu';
+$lang['piclens_wallcfg_customButtonURL']    = 'URL adresa pro vlastní tlačítko v pravém dolním rohu toolbaru';
+$lang['piclens_wallcfg_customButtonTARGET']    = 'Cíl pro vlastní tlačítko';
+$lang['piclens_wallcfg_icons']    = 'Složka PNG obrázků pro vlastní ikonky toolbaru';
+$lang['piclens_wallcfg_linkCSS']    = 'CSS styly pro aplikování na popisky';
+
+$lang['piclens_xml_config'] = 'Název a popisky Konfigurace';
+$lang['piclens_xml_legend']	= 'Parametry pro název a popis';
+
+//legende
+$lang['piclens_picture_legend']	    = 'Obrázek';
+$lang['piclens_cat_legend']		    = 'Kategorie';
+$lang['piclens_global_legend']		= 'Globální';
+$lang['img_id_legend']				= 'ID obrázku';	// %I1
+$lang['img_name_legend']			= 'Název obrázku';	// %I2
+$lang['img_description_legend']		= 'Popisek obrázku'; // %I3
+$lang['img_author_legend']			= 'Autor obrázku';	// %I4
+$lang['img_URLThumb_legend']		= 'URL náhledu (URL z galerie)'; // %I5
+$lang['img_URLNormal_legend']		= 'URL obrázku (URL z galerie)';	// %I6
+$lang['img_URLHigh_legend']			= 'URL HD obrázku (URL z galerie)';	// %I7
+$lang['img_URLPicturephp_legend']	= 'Odkaz na stránku obrázku (picture.php)';	//%I8
+$lang['img_URLThumbFull_legend']	= 'URL náhledu obrázku (úplná cesta URL)'; // %I9
+$lang['img_URLNormalFull_legend']	= 'URL obrázku (úplná cesta URL)';	// %IA
+$lang['img_URLHighFull_legend']		= 'URL HD obrázku (úplná cesta URL)';	// %IB
+$lang['img_filename_legend']		= 'Název souoru obrázku'; // %IC
+$lang['img_comment_legend']			= 'Poslední komentáře'; // %ID
+
+$lang['root_path_legend']			= 'Piwigo cesta'; // %G1
+
+$lang['cat_id_legend']				= 'ID kategorie'; // %C1
+$lang['cat_name_legend']			= 'Název kategorie'; // %C2
+$lang['cat_description_legend']		= 'Popis kategorie'; // %C3
+$lang['cat_dir_legend']				= 'Cesta ke kategorii (cesta z galerie)'; // %C4
+$lang['cat_dirFull_legend']			= 'Cesta ke kategorii (úplná cesta)'; // %C4
+// Fin legende
+
+$lang['piclens_tags_label']		= 'Štítky';
+$lang['piclens_rsscfg_exclude_double']	= 'Potalčit zdvojení obrázku ve feedu (stejná cesta)';
+$lang['piclens_rss_icon']		= 'URL pro Cooliris feed Ikonu';
+
+$lang['SelectedCat']		= 'Vybrané Kategorie';
+$lang['NonSelectedCat']		= 'Kategorie nejsou vybrány';
+
+$lang['piclens_rss_title']		= 'Nadpis RSS <i>(pokud nechcete použít, ponechte pole prázdné)</i>';
+
+$lang['piclens_stuffs_description'] = 'Zobrazit Piclens 3D wall';
+$lang['piclens_stuffs_info_param'] = '3D Wall nastavení musí být upraveno na konfigurační stránce <b>Cooliris-piclens/b> pluginu.';
+?>