Index: /extensions/gally/gally-default/language/uk_UA/theme.lang.php
===================================================================
--- /extensions/gally/gally-default/language/uk_UA/theme.lang.php	(revision 14263)
+++ /extensions/gally/gally-default/language/uk_UA/theme.lang.php	(revision 14263)
@@ -0,0 +1,74 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based photo gallery                                    |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2008-2012 Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+$lang['gally_action_ko'] = 'Не вдалося виконати операцію';
+$lang['gally_action_ok'] = 'Дія була успішно завершена';
+$lang['gally_alternate_banner_content'] = 'Альтернативний контент банеру:';
+$lang['gally_columns'] = 'Кількість стовпців';
+$lang['gally_defaultZoomSize_fit'] = 'Розмір зображення не повністю відображається на екрані';
+$lang['gally_defaultZoomSize_full'] = 'Фактичний розмір (якщо зображення не поміщається на екрані , можна прокрутити по горизонталі і вертикалі)';
+$lang['gally_default_zoom_size_desc'] = 'Цей параметр активує типу дисплея, який використовується за замовчуванням, при завантаженні зображень високої чіткості';
+$lang['gally_default_zoom_size'] = 'Збільшення розміру за замовчуванням';
+$lang['gally_displayHighResIcon_no'] = 'Не відображати іконку';
+$lang['gally_displayHighResIcon_yes'] = 'Показати іконку';
+$lang['gally_display_banner_alternate'] = 'Показати альтернативний банер';
+$lang['gally_display_banner_desc'] = 'Цей параметр контролює, чи банер сайту повинен відображатися під час перегляду зображення';
+$lang['gally_display_banner_no'] = 'Не показувати банер';
+$lang['gally_display_banner_yes'] = 'Показати банер';
+$lang['gally_display_banner'] = 'Показати банер';
+$lang['gally_display_high_res_click_mode_desc'] = 'Цей параметр визначає, як веде себе інтерфейс при натисканні на зображення з високою роздільною здатністю';
+$lang['gally_display_high_res_click_mode'] = 'Дії, пов\'язані з високою роздільною здатністю зображення';
+$lang['gally_display_high_res_icon_desc'] = 'Цей параметр, якщо зображення має версії з високою роздільною здатністю, то відображає значок на панелі інструментів';
+$lang['gally_display_high_res_icon'] = 'Іконка в панелі інструментів';
+$lang['gally_highResClickMode_close'] = 'Вихід відображення зображень з високою роздільною здатністю';
+$lang['gally_highResClickMode_zoom'] = 'Зміна способу масштабування (Фактичний розмір/розміри)';
+$lang['gally_image_auto_scroll_desc'] = 'Цей параметр визначає, як обробляти відображення широкого зображення';
+$lang['gally_image_auto_scroll_no'] = 'Ручна прокрутка зображення';
+$lang['gally_image_auto_scroll_warning'] = 'Ця функція автоматично вимикається з MS Internet Explorer версія якого є до 8';
+$lang['gally_image_auto_scroll_yes'] = 'Автоматична прокрутка зображення під курсором';
+$lang['gally_image_auto_scroll'] = 'Управління панорамних зображень';
+$lang['gally_image_interface_can_switch_desc'] = 'Цей параметр визначає, чи постійно відображається інтерфейс, або якщо він може бути прихований';
+$lang['gally_image_interface_can_switch_no'] = 'Інтерфейс завжди видимий';
+$lang['gally_image_interface_can_switch_yes'] = 'Інтерфейс є видимим лише відповідно до визначених правил';
+$lang['gally_image_interface_can_switch'] = 'Метод видимості інтерфейсу';
+$lang['gally_image_interface_hidden_desc'] = 'Цей параметр визначає, чи інтерфейс вже повинен бути відображений, коли сторінка завантажується';
+$lang['gally_image_interface_hidden_no'] = 'Інтерфейс видно при завантаженні сторінки';
+$lang['gally_image_interface_hidden_yes'] = 'Інтерфейс не видно при завантаженні сторінки, він буде в перший тригер події';
+$lang['gally_image_interface_hidden'] = 'Показати на сторінці завантаження';
+$lang['gally_image_simulate_high_res'] = 'Імітація присутності зображення високої роздільної здатності для панорамних зображень';
+$lang['gally_img_high_res_desc'] = 'Ця сторінка дає змогу визначити властивості інтерфейсу користувача під час перегляду зображення з високою роздільною здатністю';
+$lang['gally_img_high_res'] = 'Зображення/Висока роздільна здатність';
+$lang['gally_img_interface_desc'] = 'Ця сторінка дає змогу визначити властивості інтерфейсу користувача під час перегляду зображення';
+$lang['gally_img_interface'] = 'Зображення/Інтерфейс';
+$lang['gally_img_other_desc'] = 'Ця сторінка дає змогу визначити різні властивості інтерфейсу користувача під час перегляду зображення';
+$lang['gally_img_other'] = 'Зображення/Інші';
+$lang['gally_interface_on_image_always'] = 'Завжди';
+$lang['gally_interface_on_image_desc'] = 'Цей параметр визначає, що при наведенні покажчика миші на зображенні відображається інтерфейс';
+$lang['gally_interface_on_image_never'] = 'Ніколи';
+$lang['gally_interface_on_image_noscroll'] = 'Тільки якщо зображення не широкоформатне';
+$lang['gally_interface_on_image'] = 'Показати при наведенні';
+$lang['gally_interface_timer_delay_desc'] = 'Цей параметр визначає час простою, необхідного до прихованого інтерфейсу';
+$lang['gally_interface_timer_delay'] = 'Час очікування';
+$lang['gally_meta_num_cols_desc'] = 'Цей параметр визначає кількість стовпців для показу метаданих';
+$lang['gally_meta_num_cols'] = 'Перегляд метаданих';
+$lang['gally_save_local_conf'] = 'Збереження налаштувань';
+?>