Index: trunk/language/km_KH/admin.lang.php
===================================================================
--- trunk/language/km_KH/admin.lang.php	(revision 13539)
+++ trunk/language/km_KH/admin.lang.php	(revision 14264)
@@ -125,16 +125,39 @@
 $lang['%s photos can not be regenerated'] = '%s រូប​ថត​មិន​អាច​កែ​ប្រែ​ឡើង​វិញ';
 $lang['%s photos have been regenerated'] = '%s រូប​ថត​បាន​កែ​ប្រែ​ឡើង​វិញ​';
-$lang['%s thumbnails can not be regenerated'] = '%s គំរប​រូប​មិន​អាច​កែ​ប្រែ​ឡើង​វិញ';
-$lang['%s thumbnails have been regenerated'] = '%s គំរូប​រូប​ បាន​កែ​ប្រែ​';
 $lang['%s value is not correct file because exif are not supported'] = '%s តំលៃមិន​ត្រឹម​ត្រូវ​ ព្រោះ exif ពុំ​ត្រឹម​ត្រូវ​';
 $lang['(this tag will be deleted)'] = '(ស្លាក​នេះនឹង​ត្រូវ​លុប)';
 $lang[', click on'] = ', ចុច​លើ​';
-$lang['A local listing.xml file has been found for'] = 'ទី​តាំង​នៃ​ឯកសារ​ listing.xml បាន​រក​ឃើញ​សំរាប់​';
 $lang['A new version of Piwigo is available.'] = 'កំណែ​ប្រែ​ថ្មីនៃ Piwigo អាច​ស្វែង​រក​សំរាប់​ប្រើ​ប្រាស់​បាន​';
-$lang['a picture filetype requires a thumbnail. The thumbnail must be present in the sub-directory "thumbnail" of the album directory. The thumbnail filename must start with the configured thumbnail prefix and the extension must be among the following list :'] = 'filetype នៃ​រូប​ភាព​មួយ​តំរូវ​ឲ្យ​មាន​គំរប​រូប​មួយ​។ គំរប​រូប​ត្រូវ​តែ​មាន​ក្នុង​​អនុ​ទី​តាំង​នៃ​ទី​តាំង​ធំ​នោះ​។ ឈ្មោះ​នៃ​គំរប​រូប​​ត្រូវ​តែ​ចាប់​ផ្តើម​​ជាមួយបែ​បបទ​នៃបុព្វបទ​គំរប​រូប​ ហើយ​ extension ត្រូវ​តែ​រើស​ក្នុង​ចំណោម​​តារាង​ខាង​ក្រោម​:';
 $lang['Access type'] = 'ប្រភេ​ទ​នៃការ​ចូល​';
 $lang['Action'] = 'សកម្មភាព​';
 $lang['Actions'] = 'សកម្ម​ភាព​';
 $lang['Activate icon "new" next to albums and pictures'] = 'Activate icon "ថ្មី​" បន្ទាប់​ពី​សៀវ​ភៅ​រូប​ថត​និង​រូប​ភាព​';
+$lang['Activate icon "%s"'] = 'ដាក់​ឲ្យ​តំ​ណើរ​ការ​រូប​តំណាង​ "%s"';
+$lang['Activate Navigation Bar'] = 'ដាក់​ឲ្យ​តំណើរ​ការ​ផ្ទាំង​បង្ហាញផ្លូវ​';
+$lang['Activate Navigation Thumbnails'] = 'ដាក់​ឲ្យ​តំណើរ​ការ​រូប​បង្ហាញ់​ផ្លូវ';
+$lang['Activate comments'] = 'ដាក់​ឲ្យ​ដំណើរ​ការ​មតិ';
+$lang['Activate'] = 'ដាក់​ឲ្យ​តំណើរ​ការ​';
+$lang['Active Languages'] = 'តំណើរ​ការ​ភាសា​';
+$lang['Active Plugins'] = 'ដំណើរ​ការ​ Plugins';
+$lang['Active Themes'] = 'ដំណើរ​ការ​ Themes';
+$lang['Add a criteria'] = 'បន្ថែម​លក្ខណៈ​វិនិច្ឆ័យ​មួយ​';
+$lang['Add a filter'] = 'បន្ថែម​តំរង​មួយ​';
+$lang['Add a tag'] = 'បន្ថែម​ស្លាក​មួយ​';
+$lang['Add a user'] = 'បន្ថែម​អ្នក​ប្រើ​ប្រាស់​មួយ​';
+$lang['Add a virtual album'] = 'បន្ថែម​សៀវ​ភៅ​រូប​ថត​រង​មួយ​';
+$lang['Add detailed content'] = 'បន្ថែម​មាតិកា​លម្អិត​ខ្លះ​ៗ​';
+$lang['Add group'] = 'បន្ថែម​ក្រុម​';
+$lang['Add New Language'] = 'បន្ថែម​ភាសា​ថ្មី​';
+$lang['add new photos to caddie'] = 'បន្ថែម​រូប​ថត​ថ្មី​ទៅក្នុង​ caddie';
+$lang['Add New Theme'] = 'បន្ថែម​ theme ថ្មី​មួយ​';
+$lang['Add Photos'] = 'បន្ថែម​រូប​ថត​ផ្សេង​ទៀត​';
+$lang['Add tags'] = 'បន្ថែម​ស្លាក​ផ្សេង​ទៀត​';
+$lang['Add write access to the "%s" directory'] = 'បន្ថែម​ការ​អនុញ្ញាត​សរសេរ​បន្ថែម​ទៅ​សៀវ​ភៅ​ "%s"';
+$lang['Add'] = 'បន្ថែម​';
+$lang['Add/delete a permalink'] = 'បន្ថែម​/លុប​ permalink មួយ​';
+$lang['added'] = 'បាន​បន្ថែម​';
+$lang['Administration Home'] = 'ទំ​ព័រ​ដើម​អ្នក​គ្រប់​គ្រង​';
+$lang['Advanced features'] = 'លក្ខណៈ​ពិសេស​';
+$lang['Album "%s" has been added'] = 'សៀវ​ភៅ​រូប​ថត​ "%s" ត្រូវ​បាន​បន្ថែម​';
 
 ?>