Index: /trunk/language/ca_ES/common.lang.php
===================================================================
--- /trunk/language/ca_ES/common.lang.php	(revision 14282)
+++ /trunk/language/ca_ES/common.lang.php	(revision 14283)
@@ -55,5 +55,4 @@
 $lang['Any tag'] = 'Qualsevol etiqueta';
 $lang['At least one listed rule must be satisfied.'] = 'Almenys s\'ha de satisfer una regla de la llista .';
-$lang['At least one tag must match'] = 'Almenys ha de coincidir una etiqueta';
 $lang['Albums'] = 'Àlbums';
 $lang['Album'] = 'Àlbum';
@@ -88,5 +87,4 @@
 $lang['N/A'] = 'N/A';
 $lang['New on %s'] = 'Nou a %s';
-$lang['New password confirmation does not correspond'] = 'La clau d\'accès no coincideix.';
 $lang['Notification'] = 'Notificació';
 $lang['Number of items'] = 'Nombre d\'elements';
@@ -134,5 +132,4 @@
 $lang['Best rated'] = 'Més valorades';
 $lang['display best rated photos'] = 'visualitza els elements més valorats';
-$lang['caddie'] = 'carret';
 $lang['Calendar'] = 'Calendari';
 $lang['All'] = 'Tot';
@@ -168,6 +165,4 @@
 $lang['delete this photo from your favorites'] = 'Elimina aquesta imatge de les teves preferides';
 $lang['descending'] = 'descendent';
-$lang['download'] = 'descarregar';
-$lang['download this file'] = 'descarrega aquest fitxer';
 $lang['edit'] = 'editar';
 $lang['wrong date'] = 'data errònia';
@@ -195,5 +190,4 @@
 $lang['Last'] = 'Última';
 $lang['Logout'] = 'Tancar sessió';
-$lang['E-mail address'] = 'Adreça de correu electrònic';
 $lang['obligatory'] = 'obligatori';
 $lang['Maximum photo height'] = 'Alçada màxima de les imatges';
@@ -257,5 +251,4 @@
 $lang['Search for Author'] = 'Cerca per autor';
 $lang['Search in albums'] = 'Cercar en els àlbums';
-$lang['Search by Date'] = 'Cerca per data';
 $lang['Date'] = 'Data inicial';
 $lang['End-Date'] = 'Data final';
@@ -263,7 +256,5 @@
 $lang['Search for words'] = 'Cerca per paraules';
 $lang['Search for all terms'] = 'Cerca per tots els termes';
-$lang['Search for any terms'] = 'Cerca per qualsevol terme';
 $lang['Empty query. No criteria has been entered.'] = 'No has introduït cap criteri de cerca.';
-$lang['Search Options'] = ' Opcions de cerca';
 $lang['Search results'] = 'Resultats de la cerca';
 $lang['Search in sub-albums'] = 'Cerca en sub-àlbums';
@@ -286,5 +277,4 @@
 $lang['today'] = 'avui';
 $lang['Update your rating'] = 'Canviar de valoració';
-$lang['wrong filename'] = 'nom d\'arxiu erroni';
 $lang['Author'] = 'Autor';
 $lang['the username must be given'] = 'cal indicar el nom d\'usuari';
@@ -331,8 +321,6 @@
 $lang['Sent by'] = 'Enviat per';
 $lang['Cookies are blocked or not supported by your browser. You must enable cookies to connect.'] = 'Les galetes (cookies) estan bloquejades o el navegador no en permet l\'ús. Heu d\'habilitar-les per poder-vos connectar.';
-$lang['edit this comment'] = "edita aquest comentari";
 $lang['Edit a comment'] = "Edita un comentari";
 $lang['Are you sure?'] = 'Esteu segurs?';
-$lang['delete this comment'] = 'elimina aquest comentari';
 $lang['Email address is missing. Please specify an email address.'] = 'Falta l\'adreça de correu electrònic. Si us plau, introduiu-la.';
 $lang['Delete'] = 'Elimina';
@@ -347,9 +335,7 @@
 $lang['This author modified following comment:'] = 'Aquest autor ha modificat el següent comentari:';
 $lang['This author removed the comment with id %d'] = 'Aquest autor ha eliminat el comentari amb id %d';
-$lang['validate this comment'] = 'valida aquest comentari';
 $lang['html tags are not allowed in login'] = "les etiquetes html no són permeses en les dades d'inici de sessió";
 $lang['%d rates'] = '%d valoracions';
 $lang['Rating score'] = 'Resultat de la valoració';
-$lang['Enter a username or email address'] = 'Introdueix un nom d\'usuari o una adreça de correu electrònic';
 $lang['Invalid username or email'] = 'Nom d\'usuari o correu electrònic invàlid';
 $lang['Password reset is not allowed for this user'] = 'No està permès restablir la clau d\'accès per aquest usuari';
@@ -370,6 +356,37 @@
 $lang['Change my password'] = 'Restableix-la';
 $lang['Enter your new password below.'] = 'Introdueix la nova clau d\'accès.';
-$lang['Reset Password'] = 'Restableix la clau d\'accès';
 $lang['EXIF Metadata'] = 'Informació del dispositiu (metadades Exif)';
 $lang['IPTC Metadata'] = 'Metadades IPTC';
+$lang['2small'] = 'XXS - diminut';
+$lang['Desktop'] = 'Escritori';
+$lang['Edit'] = 'Editar';
+$lang['File name, A &rarr; Z'] = 'Nom d\'arxiu, A &rarr; Z';
+$lang['File name, Z &rarr; A'] = 'Nom d\'arxiu, Z &rarr; A';
+$lang['Hello %s,'] = 'Hola %s,';
+$lang['Here are your connection settings'] = 'Aquests son els teus paràmetres de connexió';
+$lang['If you think you\'ve received this email in error, please contact us at %s'] = 'Si creus que has rebut aquest correu electrònic per error, si us plau, contacta amb nosaltres a %s';
+$lang['Manual sort order'] = 'Ordre manual';
+$lang['Mobile'] = 'Mòbil';
+$lang['Original'] = 'Original';
+$lang['Password: %s'] = 'Clau: %s';
+$lang['Photo sizes'] = 'Tamany de les imatges';
+$lang['Photo title, A &rarr; Z'] = 'Títol de la imatge, A &rarr; Z';
+$lang['Photo title, Z &rarr; A'] = 'Títol de la imatge, Z &rarr; A';
+$lang['Send my connection settings by email'] = 'Envia\'m els meus paràmetres de connexió per correu electrònic';
+$lang['Show latest comments first'] = 'Mostra els últims comentaris primer';
+$lang['Show oldest comments first'] = 'Mostra els comentaris més antics primer';
+$lang['Successfully registered, you will soon receive an email with your connection settings. Welcome!'] = 'Has estat registrat correctament. En breu rebràs un correu electrònic amb els teus paràmetres de connexió. Benvingut!';
+$lang['Thank you for registering at %s!'] = 'Gràcies per registrar-te a %s!';
+$lang['Username modification'] = 'Modificar usuari';
+$lang['Username: %s'] = 'Usuari: %s';
+$lang['View in'] = 'Veure en';
+$lang['Your username has been successfully changed to : %s'] = 'El teu nom d\'usuari s\'ha canviat amb èxit per: %s';
+$lang['large'] = 'L - gran';
+$lang['medium'] = 'M - mitjà';
+$lang['small'] = 'S - petit';
+$lang['square'] = 'Quadrat';
+$lang['thumb'] = 'Miniatura';
+$lang['xlarge'] = 'XL - extra gran';
+$lang['xsmall'] = 'XS - extra petit';
+$lang['xxlarge'] = 'XXL - enorme';
 ?>