Index: trunk/language/ca_ES/admin.lang.php
===================================================================
--- trunk/language/ca_ES/admin.lang.php	(revision 14285)
+++ trunk/language/ca_ES/admin.lang.php	(revision 14288)
@@ -32,5 +32,4 @@
 $lang['%d album moved'] = '%d àlbum mogut';
 $lang['%d albums moved'] = '%d àlbums moguts';
-$lang['%d group'] = '%d grup';
 $lang['%d groups'] = '%d grups';
 $lang['%d member'] = '%d membre';
@@ -57,5 +56,4 @@
 $lang['Apply to sub-albums'] = 'Aplica als subàlbums';
 $lang['Associated'] = 'Associat';
-$lang['Batch management'] = 'Gestió per lots';
 $lang['Caddie management'] = 'Gestió del carret';
 $lang['Caddie'] = 'Carret';
@@ -64,9 +62,7 @@
 $lang['Check for upgrade failed for unknown reasons.'] = 'Check for upgrade failed for unknown reasons.';
 $lang['Check for upgrade'] = 'Comprova si hi ha actualitzacions';
-$lang['Comments for all'] = 'Comentaris per a tots';
 $lang['Current name'] = 'Nom actual';
 $lang['Database'] = 'Base de dades';
 $lang['Deactivate'] = 'Desactiva';
-$lang['Delete Representant'] = 'Elimina representant';
 $lang['Delete selected tags'] = 'Elimina les etiquetes seleccionades';
 $lang['Delete selected users'] = 'Elimina els usuaris seleccionats';
@@ -104,5 +100,4 @@
 $lang['Manage tags'] = 'Gestiona etiquetes';
 $lang['Members'] = 'Membres';
-$lang['Metadata synchronized from file'] = 'Metadata sincronitzada del fitxer';
 $lang['Move albums'] = 'Moure àlbums';
 $lang['Move'] = 'Moure';
@@ -174,5 +169,4 @@
 $lang['You cannot move an album in its own sub album'] = 'No podeu moure un àlbum dins del seu propi subàlbum';
 $lang['You need to confirm deletion'] = 'Cal confirmar l\'eliminació';
-$lang['add tags'] = 'afegir etiquetes';
 $lang['Associate to album'] = 'Assòcia a l\'àlbum';
 $lang['associate to group'] = 'assòcia al grup';
@@ -203,10 +197,8 @@
 $lang['Dissociate from album'] = 'desassòcia l\'àlbum';
 $lang['dissociate from group'] = 'desassòcia del grup';
-$lang['edit album permissions'] = 'edita els permisos de l\'àlbum ';
 $lang['Album updated successfully'] = 'Àlbum actualitzat correctament.';
 $lang['photos per page'] = 'elements per pàgina';
 $lang['High definition enabled'] = 'Alta definicio habilitat';
 $lang['File'] = 'Arxiu';
-$lang['Filesize'] = 'Mida de l\'arxiu';
 $lang['first photo added on %s'] = 'primera imatge afegida el %s';
 $lang['Forbidden'] = 'Prohibit';
@@ -228,6 +220,4 @@
 $lang['manage sub-albums'] = 'gestiona sub-àlbums';
 $lang['Manage'] = 'Gestiona';
-$lang['maximum height'] = 'màxima alçada';
-$lang['maximum width'] = 'màxima amplada';
 $lang['Execution time is out, treatment must be continue [Estimated time: %d second].'] = 'El temps d\'execució s\'ha acabat, el tractament ha de continuar [Temps estimat: %d segon].';
 $lang['Execution time is out, treatment must be continue [Estimated time: %d seconds].'] = 'El temps d\'execució s\'ha acabat, el tractament ha de continuar [Temps estimat: %d segons].';
@@ -311,10 +301,5 @@
 $lang['registration date'] = 'data de registre';
 $lang['clean'] = 'neteja';
-$lang['remove remote listing.xml file'] = 'elimina el fitxer remot listing.xml';
-$lang['generate listing'] = 'genera llistat';
-$lang['generate file listing.xml on remote site'] = 'genera el fitxer listing.xml al lloc remot';
 $lang['Create this site'] = 'Crea aquest lloc';
-$lang['A local listing.xml file has been found for'] = 'S\'ha trobat un fitxer listing.xml local';
-$lang['read local listing.xml and update'] = 'llegeix el fitxer local listing.xml i actualitza';
 $lang['test'] = 'test';
 $lang['test this remote site'] = 'testeja aquest lloc remot';
@@ -331,5 +316,4 @@
 $lang['deleted'] = 'eliminat';
 $lang['an error happened'] = 'hi ha hagut algun error';
-$lang['file create_listing_file.php on remote site was not found'] = 'no s\'ha trobat el fitxer create_listing_file.php del lloc remot';
 $lang['Local'] = 'Local';
 $lang['Remote'] = 'Remot';
@@ -339,5 +323,4 @@
 $lang['Directory'] = 'Directori';
 $lang['sub-albums'] = 'sub-àlbums';
-$lang['synchronize metadata'] = 'sincronitza les metadades';
 $lang['synchronize'] = 'sincronitza';
 $lang['target'] = 'objectiu';
@@ -350,21 +333,13 @@
 $lang['User list'] = 'Llista d\'usuaris';
 $lang['Edit photo information'] = 'Modifica la informació sobre una imatge';
-$lang['Thumbnail creation'] = 'Creació de miniatures';
 $lang['Database synchronization with files'] = 'Sincronització de la base de dades amb fitxers';
 $lang['all'] = 'totes';
-$lang['photos without thumbnail (jpeg and png only)'] = 'imatges sense miniatura (només jpeg i png)';
 $lang['height must be a number superior to'] = 'l\'alçada ha de ser un número superior a';
 $lang['width must be a number superior to'] = 'l\'amplada ha de ser un número superior a';
 $lang['for the file format'] = 'per al format de fitxer';
-$lang['No missing thumbnail'] = 'No falta miniatura'; // pendent revisar
 $lang['Photo unreachable or no support'] = 'Imatge inaccessible o no soportada';
 $lang['GD version'] = 'versió GD';
-$lang['Miniaturization parameters'] = 'Paràmetres de miniaturització';
-$lang['generated in'] = 'generat en';
-$lang['Results of miniaturization'] = 'Resultats de la miniaturització';
 $lang['General statistics'] = 'Estadístiques generals';
-$lang['max time'] = 'temps màxim';
 $lang['average time'] = 'temps mitjà';
-$lang['min time'] = 'temps mínim';
 $lang['number of miniaturized photos'] = 'número d\'imatges miniaturitzades';
 $lang['total time'] = 'temps total';
@@ -379,8 +354,4 @@
 $lang['Choose an option'] = 'Escolliu una opció';
 $lang['display maximum informations (added albums and photos, deleted albums and photos)'] = 'mostra la màxima informació (àlbums i fotos afegides i eliminades)';
-$lang['Piwigo version differs on the remote site'] = 'La versió de Piwigo difereix amb la del lloc remot';
-$lang['Version of create_listing_file.php on the remote site and Piwigo must be the same'] = 'La versió de create_listing_file.php del lloc remot i  Piwigo ha de ser el mateix';
-$lang['listing.xml file was not found'] = 'El fitxer listing.xml no s\'ha trobat';
-$lang['listing.xml file was not found on the remote site. This file is generated by choosing the "generate listing" command in the Site manager'] = 'No s\'ha trobat el fitxer listing.xml al lloc remot. Aquest fitxer es genera escollint l\'ordre "genera llistat" a la Gestió del lloc';
 $lang['Error list'] = 'Llista d\'errors';
 $lang['Errors caption'] = 'Títol de l\'error';
@@ -389,7 +360,5 @@
 $lang['The file or directory cannot be accessed (either it does not exist or the access is denied)'] = 'No es pot accedir al fitxer o directori (potser no existeix o l\'accès està denegat)';
 
-$lang['a picture filetype requires a thumbnail. The thumbnail must be present in the sub-directory "thumbnail" of the album directory. The thumbnail filename must start with the configured thumbnail prefix and the extension must be among the following list :'] = 'un tipus d\'arxiu d\'imatge requereix una miniatura. La imatge ha d\'estar present en el sub-directori \'imatge\' del directori de l\'àlbum. El nom del fitxer de la miniatura ha de començar amb el prefix configurat en miniatura i l\'extensió ha d\'estar entre la llista següent:';
 
-$lang['missing thumbnail'] = 'falta la miniatura';
 $lang['albums deleted in the database'] = 'categories eliminades de la base de dades';
 $lang['photos deleted from the database'] = 'elements eliminats de la base de dades';
@@ -405,5 +374,4 @@
 $lang['Metadata synchronization results'] = 'Resultats de la sincronització de les metadades';
 $lang['only perform a simulation (no change in database will be made)'] = 'realitza només una simulació (no es farà cap canvi a la base de dades)';
-$lang['[Simulation]'] = '[Simulació]';
 $lang['Simulation'] = 'Simulació';
 $lang['directories + files'] = 'directoris + fitxers';
@@ -429,5 +397,4 @@
 $lang['Toggle \'default group\' property'] = 'Commuta la propietat \'grup predeterminat\'';
 $lang['Advanced features'] = 'Funcions avançades';
-$lang['Specials'] = 'Especials';
 $lang['Overall'] = 'Global';
 $lang['Year'] = 'Any';
@@ -440,8 +407,4 @@
 $lang['Element'] = 'Element';
 $lang['Section'] = 'Secció';
-$lang['Tags'] = 'Etiquetes';
-$lang['Save page visits by guests'] = 'Desa la pàgina de visites dels visitants';
-$lang['Save page visits by users'] = 'Desa la pàgina de visites dels usuaris';
-$lang['Save page visits by administrators'] = 'Desa la pàgina de visites dels administradors';
 $lang['Properties'] = 'Propietats';
 $lang['An information email was sent to group "%s"'] = 'S\'ha enviat al grup "%s" un correu electrònic informatiu';
@@ -467,5 +430,4 @@
 $lang['guest'] = 'invitat';
 $lang['default values'] = 'valors predeterminats';
-$lang['High filesize'] = 'High filesize';
 $lang['Guest cannot be deleted'] = 'Visitant no es pot eliminar';
 $lang['Default user cannot be deleted'] = 'l\'usuari predeterminat no es pot eliminar';
@@ -529,5 +491,4 @@
 $lang['Are you sure you want to install this plugin?'] = 'Esteu segur que voleu instal·lar aquest connector?';
 $lang['Are you sure to install this upgrade? You must verify if this version does not need uninstallation.'] = 'Esteu segur que voleu instal·lar aquesta actualització? Heu de verificar si aquesta versió no necessita ser desinstal·lada..';
-$lang['%s has been successfully upgraded.'] = '%s ha estat actualitzat correctament.';
 $lang['Plugin has been successfully copied'] = 'El connector s\'ha copiat correctament';
 $lang['You might go to plugin list to install and activate it.'] = 'Heu d\'anar a la llista de connectors instal·lats i activar-lo.';
@@ -567,5 +528,4 @@
 $lang['Optimizations have been completed with some errors.'] = 'Les optimitzacions s\'han realitzat amb errors.';
 $lang['Modify information'] = 'Modificar la informació';
-$lang['edit album'] = 'edita l\'àlbum';
 $lang['nothing'] = 'res';
 
@@ -573,5 +533,4 @@
 
 $lang['overrides existing values with empty ones'] = 'Reemplazar los valores existentes con vacíos';
-$lang['manage photo ranks'] = "Administrar el orden de las fotos";
 $lang['Manage photo ranks'] = "Administrar el orden de las fotos";
 $lang['Edit ranks'] = 'Modificar el orden';
@@ -585,5 +544,4 @@
 $lang['%d photo was deleted'] = '%d foto ha sido borrada';
 $lang['%d photos were deleted'] = '%d fotos han sido borradas';
-$lang['Downloads'] = 'Descargar';
 $lang['Released on'] = 'Añadido';
 $lang['Number of downloads'] = 'Número de descargas';
@@ -631,12 +589,5 @@
 $lang['Everybody'] = 'Todo el mundo';
 $lang['Who can see these photos?'] = '¿ Quién puede ver estas fotos?';
-$lang['The websize maximum width must be a number between %d and %d'] = 'La ancho máxima para la medidas de las fotos debe ser una cifra comprendida entra  %d y %d';
-$lang['The websize maximum height must be a number between %d and %d'] = 'La altura máxima para la medidas de las fotos debe ser una cifra comprendida entra  %d y %d';
-$lang['The websize image quality must be a number between %d and %d'] = 'La calidad de imagen para la medidas de las fotos debe ser una cifra comprendida entra  %d y %d';
-$lang['The thumbnail maximum width must be a number between %d and %d'] = 'La ancho máxima para la miniatura debe ser una cifra comprendida entra %d y %d';
-$lang['The thumbnail maximum height must be a number between %d and %d'] = 'La altura máxima para la miniatura debe ser una cifra comprendida entra %d y %d';
-$lang['The thumbnail image quality must be a number between %d and %d'] = 'La calidad de imagen para la miniatura debe ser una cifra comprendida entra %d y %d';
 $lang['Settings'] = 'Configuración';
-$lang['Web size photo'] = 'Medidas de las fotos';
 $lang['Resize'] = 'Redimensionar';
 $lang['Maximum Width'] = 'Ancho máxima';
@@ -677,5 +628,4 @@
 $lang['Activate Navigation Thumbnails'] = 'Activar las miniaturas de navegación';
 $lang['Activate icon "%s"'] = 'Activado el icono "%s"';
-$lang['Activate field "%s"'] = 'Activado el campo "%s"';
 $lang['Photo Properties'] = 'Propiedades de la foto';
 $lang['Allow user customization'] = 'Permitir la personalización de la galería por el usuario';
@@ -737,8 +687,4 @@
 $lang['manual order'] = 'Ordre manual';
 $lang['Albums automatically sorted'] = 'Las categorías han sido clasificadas automaticamente';
-$lang['Keep high definition'] = 'Mantener la alta definición';
-$lang['The high definition maximum width must be a number between %d and %d'] = 'La anchura máxima de alta definición debe ser un número entre %d et %d';
-$lang['The high definition maximum height must be a number between %d and %d'] = 'La altura máxima de alta definición debe ser un número entre %d et %d';
-$lang['The high definition image quality must be a number between %d and %d'] = 'La calidad de la imagen para la alta definición tiene que ser un número entre %d et %d';
 $lang['Batch Manager'] = 'Gestor por lote';
 $lang['include child albums'] = 'Incluir los sub-albumes';
@@ -754,8 +700,4 @@
 $lang['All %d photos are selected'] = 'Todas las %d fotos del lote han sido seleccionadas';
 $lang['remove this filter'] = 'eliminar este filtro';
-$lang['predefined filter'] = 'filtro predefinido';
-$lang['last import'] = 'Última importación';
-$lang['with no virtual album'] = 'sin album virtual';
-$lang['duplicates'] = 'Duplicados';
 $lang['Add a filter'] = 'Agregar un filtro';
 $lang['Remove all filters'] = 'Eliminar todos los filtros';
@@ -771,6 +713,4 @@
 $lang['Type here the title'] = 'Introduzca el título aquí';
 $lang['remove creation date'] = 'eliminar la fecha de creación';
-$lang['with no album'] = 'sin album';
-$lang['with no tag'] = 'sin etiqueta';
 $lang['Album photos associated to the following albums: %s'] = 'Las fotos del álbum se han asociado con los àlbumes sigientes: %s';
 $lang['Delete orphan tags'] = 'Eliminar las etiquetas huerfanas ';
@@ -793,9 +733,5 @@
 $lang['THIS PLUGIN IS NOW PART OF PIWIGO CORE! DELETE IT NOW.'] = 'ESTE PLUGIN ES AHORA PARTE DEL CORE DE PIWIGO! PUEDE DESINSTALARLO AHORA! ';
 $lang['ERROR: THIS PLUGIN IS MISSING BUT IT IS INSTALLED! UNINSTALL IT NOW.'] = 'ERROR: Este plugin FALTA PERO ESTÁ INSTALADO! DESINSTALAR YA!.';
-$lang['Regenerate Thumbnails'] = 'Volver a generar las miniaturas';
 $lang['Thumbnails generation in progress...'] = 'Generación de las miniaturas en curso...';
-$lang['%s thumbnails have been regenerated'] = '%s miniaturas fueron regeneradas.';
-$lang['%s thumbnails can not be regenerated'] = '%s miniaturas no pueden ser regeneradas';
-$lang['Regenerate Websize Photos'] = 'Volver a generar las fotos tamaño web';
 $lang['Photos generation in progress...'] = 'Generación de las fotos en curso...';
 $lang['%s photos have been regenerated'] = '%s fotos fueron regeneradas.';
@@ -837,6 +773,4 @@
 $lang['Dump Database'] = 'volcar la base de datos';
 $lang['Include history data (Warning: server memory limit may be exceeded)'] = 'Incluir los datos de la historia (Advertencia: el límite de memoria del servidor puede ser superado)';
-$lang['Unable to write new local directory.'] = 'No se puede escribir en el directorio local nuevo.';
-$lang['Unable to send template directory.'] = 'No se puede enviar directorio de plantillas.';
 $lang['Unable to dump database.'] = 'No és possible volcar la base de dades.';
 $lang['Some upgrades are available for extensions.'] = 'Actualitzacions disponibles per a les extensiones.';
@@ -846,5 +780,4 @@
 $lang['Height'] = 'Altura';
 $lang['Follow Orientation'] = 'Segueixen la orientació';
-$lang['If you want to regenerate thumbnails, please go to the <a href="%s">Batch Manager</a>.'] = 'Si desea volver a generar imágenes en miniatura, por favor vaya a la <a href="%s">la administracion por lotes</a>.';
 $lang['Graphics Library'] = 'llibreria gràfica';
 $lang['Learn more'] = 'Més informació';
@@ -877,6 +810,61 @@
 $lang['An error has occured during extract. Please check files permissions of your piwigo installation.<br><a href="%s">Click here to show log error</a>.'] = 'Imposible extraer los ficheros. Por favor, verifique los permisos de los ficheros de su instalación. <Br> <a href="%s"> Haga clic aquí para ver el informe de error</a>.';
 $lang['Piwigo cannot retrieve upgrade file from server'] = 'Piwigo no puede recuperar el fichero de actualización desde el servidor';
-$lang['add to caddie'] = 'afegeix al carret';
 $lang['Updates'] = 'Actualitzacions';
 
+$lang['%s has been successfully updated.'] = '%s s\'ha actualitzat correctament.';
+$lang['A locked gallery is only visible to administrators'] = 'Una galeria blocada només és visible per als administradors';
+$lang['Activate comments'] = 'Activar comentaris';
+$lang['Add tags'] = 'Afegir etiquetes';
+$lang['Add to caddie'] = 'Afegir al carret';
+$lang['Applications'] = 'Aplicacions';
+$lang['Automatic sort order'] = 'Ordre automàtic';
+$lang['Available on'] = 'Disponible en';
+$lang['Available versions for'] = 'Versions disponibles per';
+$lang['Cancel'] = 'Cancel·lar';
+$lang['Center of interest'] = 'Centre d\'interès';
+$lang['Default comments order'] = 'Ordre dels comentaris per defecte';
+$lang['Delete multiple size images'] = 'Eliminar imatges de múltiples mides';
+$lang['Duplicates'] = 'Duplicats';
+$lang['Gallery unlocked'] = 'Galeria desblocada';
+$lang['Generate multiple size images'] = 'Generar imatges de múltiples mides';
+$lang['Groups and users'] = 'Grups i usuaris';
+$lang['Last import'] = 'Últim importat';
+$lang['List'] = 'Llista';
+$lang['Move to album'] = 'Moure a l\'àlbum';
+$lang['Multiple Size'] = 'Tamany múltiple';
+$lang['Notify administrators when a comment is'] = 'Notificar als administradors quan un comentari segui';
+$lang['Original Size'] = 'Tamany original';
+$lang['Permission granted for groups'] = 'Permisos concedits per a grups';
+$lang['Permission granted for users'] = 'Es concedeix permís als usuaris';
+$lang['Photo name'] = 'Nom de la imatge';
+$lang['Piwigo for Android'] = 'Piwigo per Android';
+$lang['Piwigo for iOS (iPhone, iPad, iPod Touch)'] = 'Piwigo per iOS (iPhone, iPad, iPod Touch)';
+$lang['Predefined filter'] = 'Filtre predeterminat';
+$lang['Resize after upload'] = 'Canviar de mida després de pujar-la';
+$lang['Save manual order'] = 'Desar ordre manual';
+$lang['Save visits in history for'] = 'Guardar les visites a l\'historial per';
+$lang['Select a file'] = 'Sel·lecciona un arxiu';
+$lang['Select groups...'] = 'Sel·leccionar grups...';
+$lang['Select users...'] = 'Sel·leccionar usuaris...';
+$lang['Send connection settings by email'] = 'Enviar paràmetres de conexió per correu electrònic';
+$lang['Synchronize metadata'] = 'Sincronitzar metadades';
+$lang['The original image quality must be a number between %d and %d'] = 'La qualitat de la imatge original ha de ser un número comprès entre %d i %d.';
+$lang['There is no group in this gallery.'] = 'No hi ha cap grup en aquesta galeria.';
+$lang['This album contains %d photos, added between %s and %s.'] = 'Aquest àlbum conté %d imatges, afegides entre %s i $s.';
+$lang['This album contains %d photos, added on %s.'] = 'Aquest àlbum conté %d imatges, afegides el %s.';
+$lang['This album contains no photo.'] = 'Aquest àlbum no conté imatges.';
+$lang['Unlock gallery'] = 'Desblocar galeria';
+$lang['With no album'] = 'Sense àlbums';
+$lang['With no tag'] = 'Sense etiquetes';
+$lang['With no virtual album'] = 'Sense àlbum virtual';
+$lang['You can activate only one mobile theme.'] = 'Només pots activar un tema pel mòbil.';
+$lang['Zoom'] = 'Ampliar';
+$lang['add a new watermark'] = 'afegir una nova marca d\'aigua';
+$lang['administrators'] = 'administradors';
+$lang['apply automatic sort order'] = 'aplicar ordre automàtic';
+$lang['cancel manual order'] = 'cancel·lar l\'ordre manual';
+$lang['custom'] = 'Personalitzar';
+$lang['modified'] = 'modificat';
+$lang['pending validation'] = 'pendent de validació';
+$lang['registered users'] = 'usuaris registrats';
 ?>