Index: /trunk/language/ca_ES/common.lang.php
===================================================================
--- /trunk/language/ca_ES/common.lang.php	(revision 14288)
+++ /trunk/language/ca_ES/common.lang.php	(revision 14289)
@@ -54,5 +54,5 @@
 $lang['All tags'] = 'Totes les etiquetes';
 $lang['Any tag'] = 'Qualsevol etiqueta';
-$lang['At least one listed rule must be satisfied.'] = 'Almenys s\'ha de satisfer una regla de la llista .';
+$lang['At least one listed rule must be satisfied.'] = 'Almenys cal satisfer un criteria de la llista .';
 $lang['Albums'] = 'Àlbums';
 $lang['Album'] = 'Àlbum';
@@ -130,5 +130,5 @@
 $lang['posted between %s (%s) and %s (%s)'] = 'Publicades entre %s (%s) i %s (%s)';
 $lang['posted on %s'] = 'Publicades el %s';
-$lang['Best rated'] = 'Més valorades';
+$lang['Best rated'] = 'Millor valorades';
 $lang['display best rated photos'] = 'visualitza els elements més valorats';
 $lang['Calendar'] = 'Calendari';
@@ -145,5 +145,5 @@
 $lang['Anti-flood system : please wait for a moment before trying to post another comment'] = 'Sistema de prevenció anti col·lapse. Si us plau, espereu un moment abans de provar d\'enviar un altre comentari. El servidor està processant peticions d\'altres usuaris.';
 $lang['Your comment has NOT been registered because it did not pass the validation rules'] = 'Atenció, el comentari NO serà publicat perquè no ha ha estat validat correctament.';
-$lang['An administrator must authorize your comment before it is visible.'] = 'Un administrador ha d\'autoritzar el vostre comentari abans que aquest sigui visible.';
+$lang['An administrator must authorize your comment before it is visible.'] = 'Un administrador ha d\'autoritzar el teu comentari per a què sigui visible.';
 $lang['This login is already used by another user'] = 'Aquest nom d\'usuari ja està en ús per un altre usuari';
 $lang['Comments'] = 'Comentaris';
@@ -297,5 +297,5 @@
 $lang['Tag results for'] = 'Resultats de l\'etiqueta per';
 $lang['from %s to %s'] = 'de %s a %s';
-$lang['Play of slideshow'] = 'Reprodueix la presentació de diapositives';
+$lang['Play of slideshow'] = 'Reproduir passi de diapositives';
 $lang['Pause of slideshow'] = 'Pausa la presentació de diapositives';
 $lang['Repeat the slideshow'] = 'Repeteix la presentació de diapositives';
@@ -322,5 +322,5 @@
 $lang['Cookies are blocked or not supported by your browser. You must enable cookies to connect.'] = 'Les galetes (cookies) estan bloquejades o el navegador no en permet l\'ús. Heu d\'habilitar-les per poder-vos connectar.';
 $lang['Edit a comment'] = "Edita un comentari";
-$lang['Are you sure?'] = 'Esteu segurs?';
+$lang['Are you sure?'] = 'N\'estàs segur?';
 $lang['Email address is missing. Please specify an email address.'] = 'Falta l\'adreça de correu electrònic. Si us plau, introduiu-la.';
 $lang['Delete'] = 'Elimina';
@@ -328,7 +328,7 @@
 $lang['Welcome'] = 'Benvingut';
 $lang['Welcome to your Piwigo photo gallery!'] = 'Benvingut a la galeria fotogràfica Piwigo!';
-$lang['... or browse your empty gallery'] = '... o navegueu per la vostra galeria buida';
+$lang['... or browse your empty gallery'] = '... o navega per la galeria (actualment buida)';
 $lang['... or please deactivate this message, I will find my way by myself'] = '... o siusplau desactiveu aquest missatge.  Trobaré la manera pel meu compte';
-$lang['Hello %s, your Piwigo photo gallery is empty!'] = 'Hola %s, la galeria fotogràfica és buida!';
+$lang['Hello %s, your Piwigo photo gallery is empty!'] = 'Hola %s, la galeria no conté elements per mostrar.';
 $lang['I want to add photos'] = 'Vull afegir imatges';
 $lang['Manage this user comment: %s'] = 'Gestiona aquest comentari d\'usuari: %s';
@@ -351,5 +351,5 @@
 $lang['Your password has been reset'] = 'S\'ha restablert la teva clau d\'accès.';
 $lang['Return to home page'] = 'Torna a la pàgina d\'inici';
-$lang['Please enter your username or email address.'] = 'No t\'amoïnis. Introdueix el teu nom d\usuari o el correu electrònic que vas emprar per donar-te d\'alta.';
+$lang['Please enter your username or email address.'] = 'Introdueix el teu nom d\usuari o el correu electrònic que vas emprar per donar-te d\'alta.';
 $lang['You will receive a link to create a new password via email.'] = 'Rebràs un enllaç al teu correu electrònic que et permetrà crear una nova clau d\'accès.';
 $lang['Username or email'] = 'Nom d\'usuari o correu electrònic';
@@ -390,3 +390,17 @@
 $lang['xsmall'] = 'XS - extra petit';
 $lang['xxlarge'] = 'XXL - enorme';
+$lang['Date created, new &rarr; old'] = 'Data de creació, nou &rarr; antic';
+$lang['Date created, old &rarr; new'] = 'Data de creació, antic &rarr; nou';
+$lang['Date posted, new &rarr; old'] = 'Data de publicació, nou &rarr; antic';
+$lang['Date posted, old &rarr; new'] = 'Data de publicació, antic &rarr; nou';
+$lang['Download this file'] = 'Descarrega\'t aquest arxiu';
+$lang['Download'] = 'Descarregar';
+$lang['Numeric identifier, 1 &rarr; 9'] = 'Identificador numèric, 1 &rarr; 9';
+$lang['Numeric identifier, 9 &rarr; 1'] = 'Identificador numèric, 9 &rarr; 1';
+$lang['Rating score, high &rarr; low'] = 'Resultat de la valoració, alt &rarr; baix';
+$lang['Rating score, low &rarr; high'] = 'Resultat de la valoració, baix &rarr; alt';
+$lang['Search by date'] = 'Cerca per data';
+$lang['Search for any term'] = 'Cerca per qualsevol terme';
+$lang['Visits, high &rarr; low'] = 'Visites, alt &rarr; baix';
+$lang['Visits, low &rarr; high'] = 'Visites, baix &rarr; alt';
 ?>