Index: /extensions/HistoryIPExcluder/trunk/language/ru_RU/plugin.lang.php
===================================================================
--- /extensions/HistoryIPExcluder/trunk/language/ru_RU/plugin.lang.php	(revision 14291)
+++ /extensions/HistoryIPExcluder/trunk/language/ru_RU/plugin.lang.php	(revision 14291)
@@ -0,0 +1,47 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based photo gallery                                    |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2008-2012 Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+$lang['Error_HIPE_BlacklistedIP'] = 'Ошибка! Ваш IP был запрещен. Вы не можете подписаться на эту галерею. Обратитесь к администратору для уточнения деталей.';
+$lang['HIPE_CleanHist'] = 'Очистить историю';
+$lang['HIPE_IPBlacklist_title'] = 'Черный список регистрации';
+$lang['HIPE_IPBlacklisted'] = 'Предотвратить регистрацию с исключеных IP-адресов (черный список)';
+$lang['HIPE_IPByMember_description'] = 'Показать IP-адреса, используемые участниками, отсортированные по IP';
+$lang['HIPE_IPByMember'] = 'IP-адреса участников';
+$lang['HIPE_IPForMember_description'] = 'Поиск и отображение IP-адресов связанных с зарегистрированными пользователями (отсортированы по IP)';
+$lang['HIPE_IPForMember'] = 'IP участников';
+$lang['HIPE_IPnoGuest_description'] = ' ';
+$lang['HIPE_IPnoGuest'] = ' ';
+$lang['HIPE_MemberForIp_description'] = 'Поиск и отображение пользователей c одним IP (отсортированных по имени)';
+$lang['HIPE_MemberForIp'] = 'Пользователи с одинаковым IP';
+$lang['HIPE_OnlyGuest_description'] = 'Показать IP-адреса которые относятся только к гостям, и сколько раз он находится в таблице истории, отсортировать по количеству';
+$lang['HIPE_OnlyGuest'] = 'Только IP гостей';
+$lang['HIPE_admin_description1'] = 'Введите полный IP или IP-диапазон для исключения (по одному на строку) в поле ниже. Чтобы задать IP-диапазон, пользуйтесь символом подстановки "%" <br>. Пример: 74.6.1.2 или 74.6.%';
+$lang['HIPE_admin_section1'] = 'Исключение IP-адресов';
+$lang['HIPE_admin_section2'] = 'Запросы по таблице истории';
+$lang['HIPE_admin_section3'] = 'Результат запроса истории';
+$lang['HIPE_description'] = 'Этот плагин позволяет исключить из истории и статистики IP или IP-диапазоны. <br> Активируется с помощью записей в таблице IP *_history, указанных в таблице ниже.';
+$lang['HIPE_hist_cleaned'] = 'Очистить таблицу истории.';
+$lang['HIPE_resquet_ok'] = 'Запрос OK.';
+$lang['HIPE_save_config'] = 'Настройки сохранены.';
+$lang['HIPE_version'] = ' - Версия: ';
+$lang['IP_geolocalisation'] = 'Географическое расположение';
+?>