Index: /extensions/UserAdvManager/trunk/changelog.txt.php
===================================================================
--- /extensions/UserAdvManager/trunk/changelog.txt.php	(revision 14310)
+++ /extensions/UserAdvManager/trunk/changelog.txt.php	(revision 14311)
@@ -292,4 +292,6 @@
             fr_FR translation updated
 
+-- 2.30.6 : Bug 2618 fixed - Apache crash when php 5.3.10 is used
+
 **************************************************************
 ***** Plugin history (branch 2.40 - Piwigo 2.4 compliant)*****
Index: /extensions/UserAdvManager/trunk/language/de_DE/help.lang.php
===================================================================
--- /extensions/UserAdvManager/trunk/language/de_DE/help.lang.php	(revision 14310)
+++ /extensions/UserAdvManager/trunk/language/de_DE/help.lang.php	(revision 14311)
@@ -9,5 +9,5 @@
 ...
 ';
-$lang['UAM_carexcTitle_d'] = 'Es mag interessant sein, bestimmte Zeichen in Benutzernamen verbieten (Beispiel: verweigern Logins mit &quot;@&quot;). Diese Option erm&ouml;glicht es, Zeichen oder Zeichenfolge, Veranstaltungen auszuschlie&szlig;en.<br>
+$lang['UAM_carexcTitle_d'] = 'Es mag interessant sein, bestimmte Zeichen in Benutzernamen verbieten (Beispiel: verweigern Logins mit @). Diese Option erm&ouml;glicht es, Zeichen oder Zeichenfolge, Veranstaltungen auszuschlie&szlig;en.<br>
 NB: Die Option kann auch ausschließen, ganze Wörter.
 <br><br>
Index: /extensions/UserAdvManager/trunk/language/en_UK/help.lang.php
===================================================================
--- /extensions/UserAdvManager/trunk/language/en_UK/help.lang.php	(revision 14310)
+++ /extensions/UserAdvManager/trunk/language/en_UK/help.lang.php	(revision 14311)
@@ -2,5 +2,5 @@
 //global $lang;
 
-$lang['UAM_carexcTitle_d'] = 'It may be interesting to prohibit certain characters in usernames (example: refuse login names containing &quot;@&quot;). This option allows to exclude characters or sequence of characters, events.<br>
+$lang['UAM_carexcTitle_d'] = 'It may be interesting to prohibit certain characters in usernames (example: refuse login names containing @). This option allows to exclude characters or sequence of characters, events.<br>
 NB: The option can also exclude whole words.
 <br><br>
Index: /extensions/UserAdvManager/trunk/language/es_ES/help.lang.php
===================================================================
--- /extensions/UserAdvManager/trunk/language/es_ES/help.lang.php	(revision 14310)
+++ /extensions/UserAdvManager/trunk/language/es_ES/help.lang.php	(revision 14311)
@@ -10,5 +10,5 @@
 ...
 ';
-$lang['UAM_carexcTitle_d'] = 'Puede ser interesante para prohibir ciertos caracteres en nombres de usuario (por ejemplo, se niegan los inicios de sesi&oacute;n que contiene &quot;@&quot;). Esta opci&oacute;n permite excluir caracteres o secuencia de caracteres, los acontecimientos.<br>
+$lang['UAM_carexcTitle_d'] = 'Puede ser interesante para prohibir ciertos caracteres en nombres de usuario (por ejemplo, se niegan los inicios de sesi&oacute;n que contiene @). Esta opci&oacute;n permite excluir caracteres o secuencia de caracteres, los acontecimientos.<br>
 Nota: La opción también puede excluir palabras completas.
 <br><br>
Index: /extensions/UserAdvManager/trunk/language/fr_FR/help.lang.php
===================================================================
--- /extensions/UserAdvManager/trunk/language/fr_FR/help.lang.php	(revision 14310)
+++ /extensions/UserAdvManager/trunk/language/fr_FR/help.lang.php	(revision 14311)
@@ -2,5 +2,5 @@
 //global $lang;
 
-$lang['UAM_carexcTitle_d'] = 'Il peut être intéressant d\'interdire certains caractères dans les noms d\'utilisateurs (exemple : refuser les logins contenant un &quot;@&quot;). Cette option permet d\'exclure les caractères, ou suite de caractères, indésirables.<br>NB: l\'option permet également d\'exclure des mots complets.
+$lang['UAM_carexcTitle_d'] = 'Il peut être intéressant d\'interdire certains caractères dans les noms d\'utilisateurs (exemple : refuser les logins contenant un @). Cette option permet d\'exclure les caractères, ou suite de caractères, indésirables.<br>NB: l\'option permet également d\'exclure des mots complets.
 <br><br>
 <b style=&quot;color: red;&quot;>Attention : Cette option est sans effet sur les noms d\'utilisateurs créés préalablement à son activation.</b>';
Index: /extensions/UserAdvManager/trunk/language/it_IT/help.lang.php
===================================================================
--- /extensions/UserAdvManager/trunk/language/it_IT/help.lang.php	(revision 14310)
+++ /extensions/UserAdvManager/trunk/language/it_IT/help.lang.php	(revision 14311)
@@ -10,5 +10,5 @@
 ...
 ';
-$lang['UAM_carexcTitle_d'] = 'Può essere interessante vietare certi caratteri per i pseudo (ad esempio: negare login contenente &quot;@&quot;). Questa opzione permette di escludere i caratteri o sequenza di caratteri, eventi.<br>
+$lang['UAM_carexcTitle_d'] = 'Può essere interessante vietare certi caratteri per i pseudo (ad esempio: negare login contenente @). Questa opzione permette di escludere i caratteri o sequenza di caratteri, eventi.<br>
 NB: L\'opzione può anche escludere parole intere.
 <br><br>
Index: /extensions/UserAdvManager/trunk/language/lv_LV/help.lang.php
===================================================================
--- /extensions/UserAdvManager/trunk/language/lv_LV/help.lang.php	(revision 14310)
+++ /extensions/UserAdvManager/trunk/language/lv_LV/help.lang.php	(revision 14311)
@@ -10,5 +10,5 @@
 ...
 ';
-$lang['UAM_carexcTitle_d'] = 'Varētu būt saistoši aizliegt izmantot lietotājvārdos kādas noteiktas rakstzīmes (piemēram: noraidīt loginus saturošus &quot;@&quot;). Šī iespēja ļauj izslēgt rakstzīmes vai rakstzīmju secību, notikumus.<br>
+$lang['UAM_carexcTitle_d'] = 'Varētu būt saistoši aizliegt izmantot lietotājvārdos kādas noteiktas rakstzīmes (piemēram: noraidīt loginus saturošus @). Šī iespēja ļauj izslēgt rakstzīmes vai rakstzīmju secību, notikumus.<br>
 NB: Šī iespēja ļauj izslēgt arī veselus vārdus.
 <br><br>