Index: /extensions/event_cats/language/de_DE/plugin.lang.php
===================================================================
--- /extensions/event_cats/language/de_DE/plugin.lang.php	(revision 14330)
+++ /extensions/event_cats/language/de_DE/plugin.lang.php	(revision 14331)
@@ -45,6 +45,5 @@
 $lang['Confirm password'] = 'Passwort bestätigen';
 $lang['Copy URL ttip'] = 'Kopieren Sie diesen Link, um ihn zu übertragen';
-$lang['Delete entry ttip'] = 'Eintrag löschen
-';
+$lang['Delete entry ttip'] = 'Eintrag löschen';
 $lang['Delete'] = 'löschen';
 $lang['Deny to groups btn'] = 'Verweigere Vervielfältigung für ausgewählte Gruppen';
@@ -122,10 +121,7 @@
 $lang['ec_confirm_del_other'] = 'Das wird gegebenenfalls alle Einträge mit dem selben Code löschen. OK?';
 $lang['ec_confirm_delete'] = 'Wollen sie den ausgewählten Eintrag wirklich löschen?';
-$lang['ec_confirm_disable'] = 'Wollen sie den den ausgewählten Eintrag wirklich überholen?
-Das wird gegebenenfalls alle Einträge mit dem selben Code löschen. ';
-$lang['ec_confirm_force'] = 'Wollen sie die angezeigte Seite als ausgewählten Eintrag erzwingen?
-Das wird gegebenenfalls alle Einträge mit dem selben Code löschen. ';
-$lang['ec_confirm_test'] = 'Ausgewählten Code wirklich testen?
-Das wird ihren Administrator Modus beenden.';
+$lang['ec_confirm_disable'] = 'Wollen sie den den ausgewählten Eintrag wirklich überholen? Das wird gegebenenfalls alle Einträge mit dem selben Code löschen. ';
+$lang['ec_confirm_force'] = 'Wollen sie die angezeigte Seite als ausgewählten Eintrag erzwingen? Das wird gegebenenfalls alle Einträge mit dem selben Code löschen. ';
+$lang['ec_confirm_test'] = 'Ausgewählten Code wirklich testen? Das wird ihren Administrator Modus beenden.';
 $lang['ec_entry_already_exists'] = 'Eintrag %s mit der gleichen Konfiguration vorhanden';
 $lang['ec_entry_create_OK'] = 'Eintrag "%s" erstellt';
@@ -174,31 +170,13 @@
 $lang['ec_dspl_ok_img2'] = 'Foto  n°%1$s: %2$s (%3$s)';
 $lang['ec_dspl_usr_pb'] = '"user_id" unbrauchbar';
-$lang['ec_help_banner1_config'] = 'Duplicate an account when a user is already identified, creates another account having exactly the same permissions: no need to wait for an administrator\'s validation. 
-— Select the page you want to be displayed in case of an unknown code usage (for instance, a code you have deleted). 
-— In the "Autolog entries" tab, the comments can be displayed as tooltips, or on a new line under the code. 
-— As you\'re currently reading it, the help banner is currently active ;-)! 
-— Display the "Connection" link to generic users, allows users already registered on your gallery to log in easily.
-
-Duplizieren Sie ein Konto, wenn ein Benutzer bereits identifiziert ist, schafft ein anderes Konto mit genau den gleichen Berechtigungen: Keine Notwendigkeit, zur Validierung durch einen Administrators. 
+$lang['ec_help_banner1_config'] = 'Duplizieren Sie ein Konto, wenn ein Benutzer bereits identifiziert ist, schafft ein anderes Konto mit genau den gleichen Berechtigungen: Keine Notwendigkeit, zur Validierung durch einen Administrators. 
 - Wählen Sie die Seite, die im Falle der Benutzung eines unbekannten Codes angezeigt werden soll. (Zum Beispiel einen Code, den Sie gelöscht haben) 
 - In dem "Autolog Einträgen" Reiter, können die Kommentare als Tooltips oder auf einer neuen Zeile unter dem Code angezeigt werden. 
 - Wie Sie gerade lesen, ist momentan der Hilfe Banner aktive ;-)! 
 - Anzeige der "Connection" Verknüpfung für normale Benutzer, ermöglicht bereits registrierten Benutzern, eine leichte Anmeldung.';
-$lang['ec_help_banner1_duplic'] = 'Duplicate an account when a user is already identified, creates another account with exactly the same permissions: no need to wait for an administrator\'s validation. 
-Select the groups, types, and / or directly users allowed to duplicate their account. 
-Display "Register" to generic accounts so that duplication get unnoticed to them (see (?) help page for more details).
-
-Duplizieren Sie ein Konto, wenn ein Benutzer bereits identifiziert ist, schafft ein anderes Konto mit genau den gleichen Berechtigungen: Keine Notwendigkeit, zur Validierung durch einen Administrators. 
+$lang['ec_help_banner1_duplic'] = 'Duplizieren Sie ein Konto, wenn ein Benutzer bereits identifiziert ist, schafft ein anderes Konto mit genau den gleichen Berechtigungen: Keine Notwendigkeit, zur Validierung durch einen Administrators. 
 Wählen Sie die Gruppen, Typen und / oder direkte Benutzern, um ihnen die Erlaubniss zur Duplizierung ihres Kontos zu geben. 
 Zeigen Sie "Registrieren", für normale Konten, so dass Duplizierung unbemerkt für sie bleibt (siehe (?) Hilfe Seite für weitere Details).';
-$lang['ec_help_banner1_entries'] = 'Make entry outdated: to make a code not usable any more, but with a customized message;
-Force: to prevent users from accessing to other pages by modifying the URL;
-Don\'t force: to be able to use the same code to reach different pages;
-Copy: to create a new entry using the same code, but heading to a different page;
-Test: to check it works;-) ;
-Delete: Delete entry;
-Modify: Modify entry.
-
-Mache Eintrag nicht mehr aktuell: Macht einen Code nicht mehr brauchbar, aber mit einer angepassten Meldung;
+$lang['ec_help_banner1_entries'] = 'Mache Eintrag nicht mehr aktuell: Macht einen Code nicht mehr brauchbar, aber mit einer angepassten Meldung;
 Erzwinge: Benutzern den Zugriff auf andere Seiten verhindern, durch ändern der URL;
 Nicht erzwingen: In der Lage sein mit dem gleichen Code verschiedene Seiten zu erreichen;
@@ -207,38 +185,17 @@
 Löschen: Eintrag löschen;
 Ändern: Eintrag bearbeiten.';
-$lang['ec_help_banner1_new_c'] = 'Link a code to an identified user and to a displayed page; it will create a corresponding URL in the "Autolog entries" tab, so you will be able to copy and transmit it to people involved. 
-(It is too complicated, too heavy to provide here a list of all photos, thus you must write down the photo identifier ("Photo id"), if you want to use this field.) 
-Generate a username and Full auto: select first a page to display, as the username is based on the name of this page. 
-Comment: memo, personal note, visible only in the administration part. 
-Existing code: to use the same code to identify the same account, but redirect it to another page. 
-Displayed page Forced: to impose the displayed page whatever are the parameters &cat=, &img=, &ap= in the URL.
-
-Verknüpfen Sie einen Code, zu einem gekennzeichneten Benutzer und zu einer angezeigten Seite; es wird eine entsprechende URL in dem "Autolog Einträge" Tab erstellt, so dass Sie in der Lage sind es an beteiligte Personen zu kopieren und zu übermitteln. 
+$lang['ec_help_banner1_new_c'] = 'Verknüpfen Sie einen Code, zu einem gekennzeichneten Benutzer und zu einer angezeigten Seite; es wird eine entsprechende URL in dem "Autolog Einträge" Tab erstellt, so dass Sie in der Lage sind es an beteiligte Personen zu kopieren und zu übermitteln. 
 (Es ist zu kompliziert, zu schwierig eine Liste aller Bilder zu erstellen, deshalb müssen Sie sich die Foto-ID ("Foto-ID") notieren, wenn Sie dieses Feld verwenden möchten.) 
 Generieren Sie einen Benutzernamen und ein Full-Auto: Wählen Sie zuerst eine Seite die angezeigt werden soll, weil der Benutzername auf diese Seite basiert. 
 Kommentar: Memo, persönliche Notizen, nur sichtbar unter Verwaltung. 
 Der bereits vorhandene Code: Benutze den gleichen Code, um das gleiche Konto zu identifizieren, aber leitet es auf eine andere Seite. 
-Aktuelle Seite erzwingen: Um die angezeigte Seite zu belegen, was immer die Parameter & cat =, & img =, & ap = in der URL sind.
-';
-$lang['ec_help_banner1_new_m'] = 'Select a code to change the corresponding identified user and / or the page to be displayed. 
-If you force the page to be displayed, or change the identified user, other entries using the same code will be deleted. 
-Choosing None as identified user, or Access denied as page to display, will render the entry "outdated": no identification, but you can display a personalized page to give an explanation. 
-To generate a username, select first the page to display, as the username based on the name of the page to display.
-
-Wählen Sie einen Code, zum Wechseln des entsprechenden Benutzers und / oder der Seite, die angezeigt werden soll.
+Aktuelle Seite erzwingen: Um die angezeigte Seite zu belegen, was immer die Parameter & cat =, & img =, & ap = in der URL sind.';
+$lang['ec_help_banner1_new_m'] = 'Wählen Sie einen Code, zum Wechseln des entsprechenden Benutzers und / oder der Seite, die angezeigt werden soll.
 Wenn die Seite angezeigt werden soll, oder Sie den Benutzer wechseln, dann werden andere Einträge mit dem gleichen Code gelöscht.
 Wählen von "None" (keine) als ausgewählter Benutzer, oder "Zugriff verweigert" als Seite die angezeigt werden soll, macht den Eintrag nicht mehr aktuell: Keine Identifikation, aber Sie können eine personalisierte Seite als Erklärung anzeigen.
 Um einen Benutzernamen zu generieren, wählen Sie zunächst die Seite die angezeigt werden soll, weil der Benutzername auf den Namen der Seite die angezeigt wird basiert.';
-$lang['ec_help_banner2_new_c'] = 'Copy an entry to associate the same code (still linked to the same identified user), to a different displayed page, for example to provide access to another event (thus a different album) for the same group of people you already have created an entry. 
-Reset to come back to a "normal" entry creation.
-
-Kopiere einen Eintrag, um den gleichen Code (immer noch verknüpft mit dem gleichen Benutzer), einer anderen angezeigten Seite zu zuordnen, zum Beispiel um den Zugriff auf ein anderes Ereignis zu verschaffen (also ein anderes Album) für die gleiche Gruppe von Personen, für die Sie bereits einen Eintrag erstellt haben. 
+$lang['ec_help_banner2_new_c'] = 'Kopiere einen Eintrag, um den gleichen Code (immer noch verknüpft mit dem gleichen Benutzer), einer anderen angezeigten Seite zu zuordnen, zum Beispiel um den Zugriff auf ein anderes Ereignis zu verschaffen (also ein anderes Album) für die gleiche Gruppe von Personen, für die Sie bereits einen Eintrag erstellt haben. 
 Zurücksetzen, um wieder einem "normalen" Eintrag zu erstellen.';
-$lang['ec_help_banner2_new_m'] = 'Logging an account that doesn\'t not require username nor password ist obvisously insecured. Thus, it is better to not let an "autolog" code active for too long, as it can be misused. 
-To make an entry outdated allows to display an explaining message with an Additional Page. 
-You can also use the plugin PWG Stuffs to display messages on album and photo pages. 
-Reset to come back to a "normal" code modification.
-
-Anmelden eines Kontos, das keinen Benutzername noch Passwort benötigt ist offensichtlich unsicher. Somit ist es besser, ein "autolog" Code nicht zu lange aktiv zu lassen, Missbrauch ist möglich. 
+$lang['ec_help_banner2_new_m'] = 'Anmelden eines Kontos, das keinen Benutzername noch Passwort benötigt ist offensichtlich unsicher. Somit ist es besser, ein "autolog" Code nicht zu lange aktiv zu lassen, Missbrauch ist möglich. 
 Einen Eintrag nicht mehr aktuell machen, erlaubt eine erklärende Nachricht auf einer zusätzlichen Seite.
 Außerdem können Sie das Plugin "PWG Stuffs" zum anzeigen von Nachrichten auf Album- und Fotoseiten benutzen.