Index: extensions/adult_content/language/cs_CZ/plugin.lang.php
===================================================================
--- extensions/adult_content/language/cs_CZ/plugin.lang.php	(revision 12947)
+++ extensions/adult_content/language/cs_CZ/plugin.lang.php	(revision 14365)
@@ -38,90 +38,3 @@
 $lang['ac_def'] = 'Chcete změnit svůj stav ?';
 
-/*TODO*/$lang['ad_c_menublock_for_guest'] = 'Allow unregistered users to select their age?';
-/*TODO*/$lang['ad_c_block_on_index'] = 'View a flyer on the homepage? (Requires plugin PWG_Stuffs)';
-/*TODO*/$lang['ad_c_block_on_index_error_2'] = 'The minimum PWG_Stuffs version required is 2.1.l';
-/*TODO*/$lang['ad_c_block_on_index_error'] = 'Not available for now';
-/*TODO*/$lang['ad_c_manage_what'] = 'Select the type of content the plugin should manage :';
-/*TODO*/$lang['ad_c_manage_eroticonly'] = 'erotic content only';
-/*TODO*/$lang['ad_c_manage_pornonly'] = 'pornographic content only';
-/*TODO*/$lang['ad_c_manage_both'] = 'erotic and pornographic content';
-
-/*TODO*/$lang['ad_c_send'] = 'Save Changes';
-/*TODO*/$lang['ad_c_msg_admin_1'] = 'Plugin configuration updated successfully!';
-/*TODO*/$lang['ad_c_howitworks'] = "The principle of the plugin is to help in the management of mature content (it can also be
-
-adapted for violent content). To do this, the plugin manages the visitors and/or the users
-
-as you wish according to your definition of parameters of the plugin.<br />
-<br />
-1 - As administrator you must put your adult content in a private gallery or album (the
-
-plugin does not manage the rights to the level of images itself, at least not yet). Then
-
-assign the gallery or album to the two groups '18' and ' 16-17' (created by the plugin)
-
-like this:<br /><br />
-
--allow the group '18' to see the adult content, reserved for users over the of age of 18
-
-and normal content (but generally the normal content is often public)
-<br /><br />
--allow the group ' 16-17' to see the adult content reserved for users over the age of 16
-
-and normal content (generally the normal content is often public)
-<br /><br />
-- the 'nothing' group will see the normal content (but generally the normal content is
-
-often public)
-<br />
-
-<br />
-2 - Functioning of the plugin<br />
-2.1 - The management of the users<br />
-<br />
-If the user is already recorded in the activation of the plugin, the plugin shows a small
-block pointing out that he must choose his age. Once he clicks, the page containing the message of 'adult content' will appear and the choice of choosing their age (Charte_user.php).
-
-Once a visitor chooses his age, it is re-aimed to the page of choice of age (Charte_user.php), directly after its recording.
-
-In practice, the plugin places the user in the 3 groups, ' 18' ' 16-17' and 'nothing',
-
-according to his choice of age. A user may at any time change his age via the block menu of
-
-adult_content except if it is disabled via the administration of piwigo (attention the
-
-direct link to charte_user.php continues to function all the same) : if you wish that a
-
-user cannot change his age then this plugin is useless and use directly the management of
-
-rights at the level of groups and/or images.<br />
-<br />
-2.2 - Visitor management<br />
-<br />
-If the option 'Allow visitors to non-registered to select their age ?' is enabled, then the
-
-plugin will manage the visitors. * It displays a block menu, indicating the gallery is
-
-'filtered' and that if he wishes to disable the filter, he must select his age.
-It is then redirected to the page of choice of the age for visitor (chartre.php).
-
-In practice, the visitor is then recorded under one of the 2 users created by the plugin: '
-
-18' belonging to the group ' 18 ', and ' 16' from the group ' 16-17 '.  These 2 user
-
-accounts may not be modified by users, only by the administrator.
-You open and choose to change the theme according to the age of the vistor via these 2 user
-
-accounts.<br />
-<br />
-2.3 - Possible adaptations<br />
-<br />
-You can adapt this plugin for the violent content, simply by changing the files languages
-
-of the plugin (use the plugin Local Files Editor for more ease).  The age limits may also
-
-be changed in this way.
-";
-/*TODO*/$lang['ad_c_linktolang']="Go to the language file of Adult Content (need LocalFiles Editor enabled)"
-
 ?>
Index: extensions/adult_content/language/en_UK/plugin.lang.php
===================================================================
--- extensions/adult_content/language/en_UK/plugin.lang.php	(revision 12947)
+++ extensions/adult_content/language/en_UK/plugin.lang.php	(revision 14365)
@@ -124,4 +124,4 @@
 be changed in this way.
 ";
-$lang['ad_c_linktolang']="Go to the language file of Adult Content (need LocalFiles Editor enabled)"
+$lang['ad_c_linktolang']="Go to the language file of Adult Content (need LocalFiles Editor enabled)";
 ?>
Index: extensions/adult_content/language/es_ES/plugin.lang.php
===================================================================
--- extensions/adult_content/language/es_ES/plugin.lang.php	(revision 12947)
+++ extensions/adult_content/language/es_ES/plugin.lang.php	(revision 14365)
@@ -38,89 +38,3 @@
 $lang['ac_def'] = 'Usted quiere cambiar su estatuto ?';
 
-/*TODO*/$lang['ad_c_menublock_for_guest'] = 'Allow unregistered users to select their age?';
-/*TODO*/$lang['ad_c_block_on_index'] = 'View a flyer on the homepage? (Requires plugin PWG_Stuffs)';
-/*TODO*/$lang['ad_c_block_on_index_error_2'] = 'The minimum PWG_Stuffs version required is 2.1.l';
-/*TODO*/$lang['ad_c_block_on_index_error'] = 'Not available for now';
-/*TODO*/$lang['ad_c_manage_what'] = 'Select the type of content the plugin should manage :';
-/*TODO*/$lang['ad_c_manage_eroticonly'] = 'erotic content only';
-/*TODO*/$lang['ad_c_manage_pornonly'] = 'pornographic content only';
-/*TODO*/$lang['ad_c_manage_both'] = 'erotic and pornographic content';
-
-/*TODO*/$lang['ad_c_send'] = 'Save Changes';
-/*TODO*/$lang['ad_c_msg_admin_1'] = 'Plugin configuration updated successfully!';
-/*TODO*/$lang['ad_c_howitworks'] = "The principle of the plugin is to help in the management of mature content (it can also be
-
-adapted for violent content). To do this, the plugin manages the visitors and/or the users
-
-as you wish according to your definition of parameters of the plugin.<br />
-<br />
-1 - As administrator you must put your adult content in a private gallery or album (the
-
-plugin does not manage the rights to the level of images itself, at least not yet). Then
-
-assign the gallery or album to the two groups '18' and ' 16-17' (created by the plugin)
-
-like this:<br /><br />
-
--allow the group '18' to see the adult content, reserved for users over the of age of 18
-
-and normal content (but generally the normal content is often public)
-<br /><br />
--allow the group ' 16-17' to see the adult content reserved for users over the age of 16
-
-and normal content (generally the normal content is often public)
-<br /><br />
-- the 'nothing' group will see the normal content (but generally the normal content is
-
-often public)
-<br />
-
-<br />
-2 - Functioning of the plugin<br />
-2.1 - The management of the users<br />
-<br />
-If the user is already recorded in the activation of the plugin, the plugin shows a small
-block pointing out that he must choose his age. Once he clicks, the page containing the message of 'adult content' will appear and the choice of choosing their age (Charte_user.php).
-
-Once a visitor chooses his age, it is re-aimed to the page of choice of age (Charte_user.php), directly after its recording.
-
-In practice, the plugin places the user in the 3 groups, ' 18' ' 16-17' and 'nothing',
-
-according to his choice of age. A user may at any time change his age via the block menu of
-
-adult_content except if it is disabled via the administration of piwigo (attention the
-
-direct link to charte_user.php continues to function all the same) : if you wish that a
-
-user cannot change his age then this plugin is useless and use directly the management of
-
-rights at the level of groups and/or images.<br />
-<br />
-2.2 - Visitor management<br />
-<br />
-If the option 'Allow visitors to non-registered to select their age ?' is enabled, then the
-
-plugin will manage the visitors. * It displays a block menu, indicating the gallery is
-
-'filtered' and that if he wishes to disable the filter, he must select his age.
-It is then redirected to the page of choice of the age for visitor (chartre.php).
-
-In practice, the visitor is then recorded under one of the 2 users created by the plugin: '
-
-18' belonging to the group ' 18 ', and ' 16' from the group ' 16-17 '.  These 2 user
-
-accounts may not be modified by users, only by the administrator.
-You open and choose to change the theme according to the age of the vistor via these 2 user
-
-accounts.<br />
-<br />
-2.3 - Possible adaptations<br />
-<br />
-You can adapt this plugin for the violent content, simply by changing the files languages
-
-of the plugin (use the plugin Local Files Editor for more ease).  The age limits may also
-
-be changed in this way.
-";
-/*TODO*/$lang['ad_c_linktolang']="Go to the language file of Adult Content (need LocalFiles Editor enabled)"
 ?>
Index: extensions/adult_content/language/fr_FR/plugin.lang.php
===================================================================
--- extensions/adult_content/language/fr_FR/plugin.lang.php	(revision 12947)
+++ extensions/adult_content/language/fr_FR/plugin.lang.php	(revision 14365)
@@ -82,4 +82,4 @@
 Les âges limites peuvent aussi être changés de cette façon.<br />
 ';
-$lang['ad_c_linktolang']="Lien vers le fichier langue d'Adult Content (Nécessite localFiles Editor)"
+$lang['ad_c_linktolang']="Lien vers le fichier langue d'Adult Content (Nécessite localFiles Editor)";
 ?>
Index: extensions/adult_content/language/hu_HU/plugin.lang.php
===================================================================
--- extensions/adult_content/language/hu_HU/plugin.lang.php	(revision 12947)
+++ extensions/adult_content/language/hu_HU/plugin.lang.php	(revision 14365)
@@ -38,88 +38,3 @@
 $lang['ac_def'] = 'Szeretné megváltoztatni a státuszát ?';
 
-/*TODO*/$lang['ad_c_menublock_for_guest'] = 'Allow unregistered users to select their age?';
-/*TODO*/$lang['ad_c_block_on_index'] = 'View a flyer on the homepage? (Requires plugin PWG_Stuffs)';
-/*TODO*/$lang['ad_c_block_on_index_error_2'] = 'The minimum PWG_Stuffs version required is 2.1.l';
-/*TODO*/$lang['ad_c_block_on_index_error'] = 'Not available for now';
-/*TODO*/$lang['ad_c_manage_what'] = 'Select the type of content the plugin should manage :';
-/*TODO*/$lang['ad_c_manage_eroticonly'] = 'erotic content only';
-/*TODO*/$lang['ad_c_manage_pornonly'] = 'pornographic content only';
-/*TODO*/$lang['ad_c_manage_both'] = 'erotic and pornographic content';
-/*TODO*/$lang['ad_c_send'] = 'Save Changes';
-/*TODO*/$lang['ad_c_msg_admin_1'] = 'Plugin configuration updated successfully!';
-/*TODO*/$lang['ad_c_howitworks'] = "The principle of the plugin is to help in the management of mature content (it can also be
-
-adapted for violent content). To do this, the plugin manages the visitors and/or the users
-
-as you wish according to your definition of parameters of the plugin.<br />
-<br />
-1 - As administrator you must put your adult content in a private gallery or album (the
-
-plugin does not manage the rights to the level of images itself, at least not yet). Then
-
-assign the gallery or album to the two groups '18' and ' 16-17' (created by the plugin)
-
-like this:<br /><br />
-
--allow the group '18' to see the adult content, reserved for users over the of age of 18
-
-and normal content (but generally the normal content is often public)
-<br /><br />
--allow the group ' 16-17' to see the adult content reserved for users over the age of 16
-
-and normal content (generally the normal content is often public)
-<br /><br />
-- the 'nothing' group will see the normal content (but generally the normal content is
-
-often public)
-<br />
-
-<br />
-2 - Functioning of the plugin<br />
-2.1 - The management of the users<br />
-<br />
-If the user is already recorded in the activation of the plugin, the plugin shows a small
-block pointing out that he must choose his age. Once he clicks, the page containing the message of 'adult content' will appear and the choice of choosing their age (Charte_user.php).
-
-Once a visitor chooses his age, it is re-aimed to the page of choice of age (Charte_user.php), directly after its recording.
-
-In practice, the plugin places the user in the 3 groups, ' 18' ' 16-17' and 'nothing',
-
-according to his choice of age. A user may at any time change his age via the block menu of
-
-adult_content except if it is disabled via the administration of piwigo (attention the
-
-direct link to charte_user.php continues to function all the same) : if you wish that a
-
-user cannot change his age then this plugin is useless and use directly the management of
-
-rights at the level of groups and/or images.<br />
-<br />
-2.2 - Visitor management<br />
-<br />
-If the option 'Allow visitors to non-registered to select their age ?' is enabled, then the
-
-plugin will manage the visitors. * It displays a block menu, indicating the gallery is
-
-'filtered' and that if he wishes to disable the filter, he must select his age.
-It is then redirected to the page of choice of the age for visitor (chartre.php).
-
-In practice, the visitor is then recorded under one of the 2 users created by the plugin: '
-
-18' belonging to the group ' 18 ', and ' 16' from the group ' 16-17 '.  These 2 user
-
-accounts may not be modified by users, only by the administrator.
-You open and choose to change the theme according to the age of the vistor via these 2 user
-
-accounts.<br />
-<br />
-2.3 - Possible adaptations<br />
-<br />
-You can adapt this plugin for the violent content, simply by changing the files languages
-
-of the plugin (use the plugin Local Files Editor for more ease).  The age limits may also
-
-be changed in this way.
-";
-/*TODO*/$lang['ad_c_linktolang']="Go to the language file of Adult Content (need LocalFiles Editor enabled)"
 ?>
Index: extensions/adult_content/language/it_IT/plugin.lang.php
===================================================================
--- extensions/adult_content/language/it_IT/plugin.lang.php	(revision 12947)
+++ extensions/adult_content/language/it_IT/plugin.lang.php	(revision 14365)
@@ -42,8 +42,4 @@
 $lang['ad_c_block_on_index_error_2'] = 'PWG Stuffs in una versione superiore à 2.1.l è necessario';
 $lang['ad_c_block_on_index_error'] = 'funzione non disponibile attualmente';
-/*TODO*/$lang['ad_c_manage_what'] = 'Select the type of content the plugin should manage :';
-/*TODO*/$lang['ad_c_manage_eroticonly'] = 'erotic content only';
-/*TODO*/$lang['ad_c_manage_pornonly'] = 'pornographic content only';
-/*TODO*/$lang['ad_c_manage_both'] = 'erotic and pornographic content';
 $lang['ad_c_send'] = 'Registrare le modifiche';
 $lang['ad_c_msg_admin_1'] = 'Configurazione del plugin aggiornata correttamente!';
@@ -80,4 +76,4 @@
 Il limite di età può anche esso essere cambiato in questo modo.<br />
 ';
-/*TODO*/$lang['ad_c_linktolang']="Go to the language file of Adult Content (need LocalFiles Editor enabled)"
+
 ?>
Index: extensions/adult_content/language/lv_LV/plugin.lang.php
===================================================================
--- extensions/adult_content/language/lv_LV/plugin.lang.php	(revision 12947)
+++ extensions/adult_content/language/lv_LV/plugin.lang.php	(revision 14365)
@@ -39,88 +39,3 @@
 $lang['ac_def'] = 'Vai vēlaties izmainīt savu statusu ?';
 
-/*TODO*/$lang['ad_c_menublock_for_guest'] = 'Allow unregistered users to select their age?';
-/*TODO*/$lang['ad_c_block_on_index'] = 'View a flyer on the homepage? (Requires plugin PWG_Stuffs)';
-/*TODO*/$lang['ad_c_block_on_index_error_2'] = 'The minimum PWG_Stuffs version required is 2.1.l';
-/*TODO*/$lang['ad_c_block_on_index_error'] = 'Not available for now';
-/*TODO*/$lang['ad_c_manage_what'] = 'Select the type of content the plugin should manage :';
-/*TODO*/$lang['ad_c_manage_eroticonly'] = 'erotic content only';
-/*TODO*/$lang['ad_c_manage_pornonly'] = 'pornographic content only';
-/*TODO*/$lang['ad_c_manage_both'] = 'erotic and pornographic content';
-/*TODO*/$lang['ad_c_send'] = 'Save Changes';
-/*TODO*/$lang['ad_c_msg_admin_1'] = 'Plugin configuration updated successfully!';
-/*TODO*/$lang['ad_c_howitworks'] = "The principle of the plugin is to help in the management of mature content (it can also be
-
-adapted for violent content). To do this, the plugin manages the visitors and/or the users
-
-as you wish according to your definition of parameters of the plugin.<br />
-<br />
-1 - As administrator you must put your adult content in a private gallery or album (the
-
-plugin does not manage the rights to the level of images itself, at least not yet). Then
-
-assign the gallery or album to the two groups '18' and ' 16-17' (created by the plugin)
-
-like this:<br /><br />
-
--allow the group '18' to see the adult content, reserved for users over the of age of 18
-
-and normal content (but generally the normal content is often public)
-<br /><br />
--allow the group ' 16-17' to see the adult content reserved for users over the age of 16
-
-and normal content (generally the normal content is often public)
-<br /><br />
-- the 'nothing' group will see the normal content (but generally the normal content is
-
-often public)
-<br />
-
-<br />
-2 - Functioning of the plugin<br />
-2.1 - The management of the users<br />
-<br />
-If the user is already recorded in the activation of the plugin, the plugin shows a small
-block pointing out that he must choose his age. Once he clicks, the page containing the message of 'adult content' will appear and the choice of choosing their age (Charte_user.php).
-
-Once a visitor chooses his age, it is re-aimed to the page of choice of age (Charte_user.php), directly after its recording.
-
-In practice, the plugin places the user in the 3 groups, ' 18' ' 16-17' and 'nothing',
-
-according to his choice of age. A user may at any time change his age via the block menu of
-
-adult_content except if it is disabled via the administration of piwigo (attention the
-
-direct link to charte_user.php continues to function all the same) : if you wish that a
-
-user cannot change his age then this plugin is useless and use directly the management of
-
-rights at the level of groups and/or images.<br />
-<br />
-2.2 - Visitor management<br />
-<br />
-If the option 'Allow visitors to non-registered to select their age ?' is enabled, then the
-
-plugin will manage the visitors. * It displays a block menu, indicating the gallery is
-
-'filtered' and that if he wishes to disable the filter, he must select his age.
-It is then redirected to the page of choice of the age for visitor (chartre.php).
-
-In practice, the visitor is then recorded under one of the 2 users created by the plugin: '
-
-18' belonging to the group ' 18 ', and ' 16' from the group ' 16-17 '.  These 2 user
-
-accounts may not be modified by users, only by the administrator.
-You open and choose to change the theme according to the age of the vistor via these 2 user
-
-accounts.<br />
-<br />
-2.3 - Possible adaptations<br />
-<br />
-You can adapt this plugin for the violent content, simply by changing the files languages
-
-of the plugin (use the plugin Local Files Editor for more ease).  The age limits may also
-
-be changed in this way.
-";
-/*TODO*/$lang['ad_c_linktolang']="Go to the language file of Adult Content (need LocalFiles Editor enabled)"
 ?>