Index: /extensions/UserAdvManager/branches/2.40/ConfirmMail.php
===================================================================
--- /extensions/UserAdvManager/branches/2.40/ConfirmMail.php	(revision 14370)
+++ /extensions/UserAdvManager/branches/2.40/ConfirmMail.php	(revision 14371)
@@ -87,7 +87,9 @@
     
     $redirect = true;
+    $Path_UAM = UAM_PATH; // Path to be used in template to reach the icons
     
     $template->assign(
 			array(
+        'UAM_PATH'             => $Path_UAM,
         'REDIRECT'             => $redirect,
         'STATUS'               => $status,
Index: /extensions/UserAdvManager/branches/2.40/GT_del_account.php
===================================================================
--- /extensions/UserAdvManager/branches/2.40/GT_del_account.php	(revision 14370)
+++ /extensions/UserAdvManager/branches/2.40/GT_del_account.php	(revision 14371)
@@ -36,7 +36,10 @@
   else $custom_text = l10n(preg_replace($patterns, $replacements, $conf_UAM[23]));
 }
-    
+
+$Path_UAM = UAM_PATH; // Path to be used in template to reach the icons
+
 $template->assign(
   array(
+    'UAM_PATH'             => $Path_UAM,
     'GALLERY_URL'          => make_index_url(),
     'CUSTOM_REDIR_MSG'     => $custom_text,
Index: /extensions/UserAdvManager/branches/2.40/changelog.txt.php
===================================================================
--- /extensions/UserAdvManager/branches/2.40/changelog.txt.php	(revision 14370)
+++ /extensions/UserAdvManager/branches/2.40/changelog.txt.php	(revision 14371)
@@ -299,7 +299,9 @@
 -- 2.40.0 : Bug 2570 fixed - Adding Wiki link to complete plugin documentation (FR only)
             Bug 2571 fixed - Piwigo 2.4 compliance : Information email removed on user registration because already managed by Piwigo
+            Bug 2572 fixed - Adding a local home icon on ConfirmMail, rejected and del_account pages
             Bug 2591 fixed - Excluding Adult_Content generic users from users tracking list
             Bug 2603 fixed - Php notice when user changes his email in his profile if confirmation by email is set
             Bug 2619 fixed - Confirmation email when registered user changes his email was not sent and user not demoted
+            Bug 2620 fixed - Display of ConfirmMail, rejected and del_account pages have been improved
 */
 ?>
Index: /extensions/UserAdvManager/branches/2.40/rejected.php
===================================================================
--- /extensions/UserAdvManager/branches/2.40/rejected.php	(revision 14370)
+++ /extensions/UserAdvManager/branches/2.40/rejected.php	(revision 14371)
@@ -36,7 +36,10 @@
   else $custom_text = l10n(preg_replace($patterns, $replacements, $conf_UAM[40]));
 }
-    
+
+$Path_UAM = UAM_PATH; // Path to be used in template to reach the icons
+
 $template->assign(
   array(
+    'UAM_PATH'             => $Path_UAM,
     'GALLERY_URL'          => make_index_url(),
     'CUSTOM_REJECT_MSG'    => $custom_text,
Index: /extensions/UserAdvManager/branches/2.40/template/ConfirmMail.tpl
===================================================================
--- /extensions/UserAdvManager/branches/2.40/template/ConfirmMail.tpl	(revision 14370)
+++ /extensions/UserAdvManager/branches/2.40/template/ConfirmMail.tpl	(revision 14371)
@@ -1,27 +1,26 @@
 {html_head}<link rel="stylesheet" type="text/css" href="template/confmail.css">{/html_head}
 
-<div id="content" class="content">
-  <div class="titrePage">
-    <ul class="categoryActions">
-      <li>
+<div class="titrePage">
+  <ul class="categoryActions">
+    <li>
     {if $REDIRECT}
-        <a href="{$ROOT_URL}identification.php" title="{'return to homepage'|@translate}">
-          <img src="{$ROOT_URL}{$themeconf.icon_dir}/home.png" class="button" alt="{'home'|@translate}">
-        </a>
+      <a href="{$ROOT_URL}identification.php" title="{'return to homepage'|@translate}">
+        <img src="{$UAM_PATH}template/icon/home.png" class="button" alt="{'home'|@translate}">
+      </a>
     {else}
-        <a href="{$GALLERY_URL}" title="{'return to homepage'|@translate}">
-          <img src="{$ROOT_URL}{$themeconf.icon_dir}/home.png" class="button" alt="{'home'|@translate}">
-        </a>
+      <a href="{$GALLERY_URL}" title="{'return to homepage'|@translate}">
+        <img src="{$UAM_PATH}template/icon/home.png" class="button" alt="{'home'|@translate}">
+      </a>
     {/if}
-      </li>
-    </ul>
-    <h2 class="confmail">{'UAM_title_confirm_mail'|@translate}</h2>
-  </div>
-  <ul>
-  {if $STATUS == true}
-    <div class="infos">{$CONFIRM_MAIL_MESSAGE}</div>
-  {elseif $STATUS == false}
-    <div class="errors">{$CONFIRM_MAIL_MESSAGE}</div>
-  {/if}
+    </li>
   </ul>
+  <h2 class="confmail">{'UAM_title_confirm_mail'|@translate}</h2>
 </div>
+
+<ul>
+{if $STATUS == true}
+  <div class="infos">{$CONFIRM_MAIL_MESSAGE}</div>
+{elseif $STATUS == false}
+  <div class="errors">{$CONFIRM_MAIL_MESSAGE}</div>
+{/if}
+</ul>
Index: /extensions/UserAdvManager/branches/2.40/template/del_account.tpl
===================================================================
--- /extensions/UserAdvManager/branches/2.40/template/del_account.tpl	(revision 14370)
+++ /extensions/UserAdvManager/branches/2.40/template/del_account.tpl	(revision 14371)
@@ -1,17 +1,16 @@
 {html_head}<link rel="stylesheet" type="text/css" href="template/confmail.css">{/html_head}
 
-<div id="content" class="content">
-  <div class="titrePage">
-    <ul class="categoryActions">
-      <li>
-        <a href="{$GALLERY_URL}" title="{'return to homepage'|@translate}">
-          <img src="{$ROOT_URL}{$themeconf.icon_dir}/home.png" class="button" alt="{'home'|@translate}">
-        </a>
-      </li>
-    </ul>
-    <h2 class="confmail">{'UAM_title_redir_page'|@translate}</h2>
-  </div>
-  <ul>
-    <div class="errors">{$CUSTOM_REDIR_MSG}</div>
+<div class="titrePage">
+  <ul class="categoryActions">
+    <li>
+      <a href="{$GALLERY_URL}" title="{'return to homepage'|@translate}">
+        <img src="{$UAM_PATH}template/icon/home.png" class="button" alt="{'home'|@translate}">
+      </a>
+    </li>
   </ul>
+  <h2 class="confmail">{'UAM_title_redir_page'|@translate}</h2>
 </div>
+
+<ul>
+  <div class="errors">{$CUSTOM_REDIR_MSG}</div>
+</ul>
Index: /extensions/UserAdvManager/branches/2.40/template/rejected.tpl
===================================================================
--- /extensions/UserAdvManager/branches/2.40/template/rejected.tpl	(revision 14370)
+++ /extensions/UserAdvManager/branches/2.40/template/rejected.tpl	(revision 14371)
@@ -1,17 +1,16 @@
 {html_head}<link rel="stylesheet" type="text/css" href="template/confmail.css">{/html_head}
 
-<div id="content" class="content">
-  <div class="titrePage">
-    <ul class="categoryActions">
-      <li>
-        <a href="{$GALLERY_URL}" title="{'return to homepage'|@translate}">
-          <img src="{$ROOT_URL}{$themeconf.icon_dir}/home.png" class="button" alt="{'home'|@translate}">
-        </a>
-      </li>
-    </ul>
-    <h2 class="confmail">{'UAM_Reject_Page_Title'|@translate}</h2>
-  </div>
-  <ul>
-    <div class="errors">{$CUSTOM_REJECT_MSG}</div>
+<div class="titrePage">
+  <ul class="categoryActions">
+    <li>
+      <a href="{$GALLERY_URL}" title="{'return to homepage'|@translate}">
+        <img src="{$UAM_PATH}template/icon/home.png" class="button" alt="{'home'|@translate}">
+      </a>
+    </li>
   </ul>
+  <h2 class="confmail">{'UAM_Reject_Page_Title'|@translate}</h2>
 </div>
+
+<ul>
+  <div class="errors">{$CUSTOM_REJECT_MSG}</div>
+</ul>
Index: /extensions/UserAdvManager/trunk/ConfirmMail.php
===================================================================
--- /extensions/UserAdvManager/trunk/ConfirmMail.php	(revision 14370)
+++ /extensions/UserAdvManager/trunk/ConfirmMail.php	(revision 14371)
@@ -87,7 +87,9 @@
     
     $redirect = true;
+    $Path_UAM = UAM_PATH; // Path to be used in template to reach the icons
     
     $template->assign(
 			array(
+        'UAM_PATH'             => $Path_UAM,
         'REDIRECT'             => $redirect,
         'STATUS'               => $status,
Index: /extensions/UserAdvManager/trunk/GT_del_account.php
===================================================================
--- /extensions/UserAdvManager/trunk/GT_del_account.php	(revision 14370)
+++ /extensions/UserAdvManager/trunk/GT_del_account.php	(revision 14371)
@@ -36,7 +36,10 @@
   else $custom_text = l10n(preg_replace($patterns, $replacements, $conf_UAM[23]));
 }
-    
+
+$Path_UAM = UAM_PATH; // Path to be used in template to reach the icons
+
 $template->assign(
   array(
+    'UAM_PATH'             => $Path_UAM,
     'GALLERY_URL'          => make_index_url(),
     'CUSTOM_REDIR_MSG'     => $custom_text,
Index: /extensions/UserAdvManager/trunk/changelog.txt.php
===================================================================
--- /extensions/UserAdvManager/trunk/changelog.txt.php	(revision 14370)
+++ /extensions/UserAdvManager/trunk/changelog.txt.php	(revision 14371)
@@ -299,7 +299,9 @@
 -- 2.40.0 : Bug 2570 fixed - Adding Wiki link to complete plugin documentation (FR only)
             Bug 2571 fixed - Piwigo 2.4 compliance : Information email removed on user registration because already managed by Piwigo
+            Bug 2572 fixed - Adding a local home icon on ConfirmMail, rejected and del_account pages
             Bug 2591 fixed - Excluding Adult_Content generic users from users tracking list
             Bug 2603 fixed - Php notice when user changes his email in his profile if confirmation by email is set
             Bug 2619 fixed - Confirmation email when registered user changes his email was not sent and user not demoted
+            Bug 2620 fixed - Display of ConfirmMail, rejected and del_account pages have been improved
 */
 ?>
Index: /extensions/UserAdvManager/trunk/rejected.php
===================================================================
--- /extensions/UserAdvManager/trunk/rejected.php	(revision 14370)
+++ /extensions/UserAdvManager/trunk/rejected.php	(revision 14371)
@@ -36,7 +36,10 @@
   else $custom_text = l10n(preg_replace($patterns, $replacements, $conf_UAM[40]));
 }
-    
+
+$Path_UAM = UAM_PATH; // Path to be used in template to reach the icons
+
 $template->assign(
   array(
+    'UAM_PATH'             => $Path_UAM,
     'GALLERY_URL'          => make_index_url(),
     'CUSTOM_REJECT_MSG'    => $custom_text,
Index: /extensions/UserAdvManager/trunk/template/ConfirmMail.tpl
===================================================================
--- /extensions/UserAdvManager/trunk/template/ConfirmMail.tpl	(revision 14370)
+++ /extensions/UserAdvManager/trunk/template/ConfirmMail.tpl	(revision 14371)
@@ -1,27 +1,26 @@
 {html_head}<link rel="stylesheet" type="text/css" href="template/confmail.css">{/html_head}
 
-<div id="content" class="content">
-  <div class="titrePage">
-    <ul class="categoryActions">
-      <li>
+<div class="titrePage">
+  <ul class="categoryActions">
+    <li>
     {if $REDIRECT}
-        <a href="{$ROOT_URL}identification.php" title="{'return to homepage'|@translate}">
-          <img src="{$ROOT_URL}{$themeconf.icon_dir}/home.png" class="button" alt="{'home'|@translate}">
-        </a>
+      <a href="{$ROOT_URL}identification.php" title="{'return to homepage'|@translate}">
+        <img src="{$UAM_PATH}template/icon/home.png" class="button" alt="{'home'|@translate}">
+      </a>
     {else}
-        <a href="{$GALLERY_URL}" title="{'return to homepage'|@translate}">
-          <img src="{$ROOT_URL}{$themeconf.icon_dir}/home.png" class="button" alt="{'home'|@translate}">
-        </a>
+      <a href="{$GALLERY_URL}" title="{'return to homepage'|@translate}">
+        <img src="{$UAM_PATH}template/icon/home.png" class="button" alt="{'home'|@translate}">
+      </a>
     {/if}
-      </li>
-    </ul>
-    <h2 class="confmail">{'UAM_title_confirm_mail'|@translate}</h2>
-  </div>
-  <ul>
-  {if $STATUS == true}
-    <div class="infos">{$CONFIRM_MAIL_MESSAGE}</div>
-  {elseif $STATUS == false}
-    <div class="errors">{$CONFIRM_MAIL_MESSAGE}</div>
-  {/if}
+    </li>
   </ul>
+  <h2 class="confmail">{'UAM_title_confirm_mail'|@translate}</h2>
 </div>
+
+<ul>
+{if $STATUS == true}
+  <div class="infos">{$CONFIRM_MAIL_MESSAGE}</div>
+{elseif $STATUS == false}
+  <div class="errors">{$CONFIRM_MAIL_MESSAGE}</div>
+{/if}
+</ul>
Index: /extensions/UserAdvManager/trunk/template/del_account.tpl
===================================================================
--- /extensions/UserAdvManager/trunk/template/del_account.tpl	(revision 14370)
+++ /extensions/UserAdvManager/trunk/template/del_account.tpl	(revision 14371)
@@ -1,17 +1,16 @@
 {html_head}<link rel="stylesheet" type="text/css" href="template/confmail.css">{/html_head}
 
-<div id="content" class="content">
-  <div class="titrePage">
-    <ul class="categoryActions">
-      <li>
-        <a href="{$GALLERY_URL}" title="{'return to homepage'|@translate}">
-          <img src="{$ROOT_URL}{$themeconf.icon_dir}/home.png" class="button" alt="{'home'|@translate}">
-        </a>
-      </li>
-    </ul>
-    <h2 class="confmail">{'UAM_title_redir_page'|@translate}</h2>
-  </div>
-  <ul>
-    <div class="errors">{$CUSTOM_REDIR_MSG}</div>
+<div class="titrePage">
+  <ul class="categoryActions">
+    <li>
+      <a href="{$GALLERY_URL}" title="{'return to homepage'|@translate}">
+        <img src="{$UAM_PATH}template/icon/home.png" class="button" alt="{'home'|@translate}">
+      </a>
+    </li>
   </ul>
+  <h2 class="confmail">{'UAM_title_redir_page'|@translate}</h2>
 </div>
+
+<ul>
+  <div class="errors">{$CUSTOM_REDIR_MSG}</div>
+</ul>
Index: /extensions/UserAdvManager/trunk/template/rejected.tpl
===================================================================
--- /extensions/UserAdvManager/trunk/template/rejected.tpl	(revision 14370)
+++ /extensions/UserAdvManager/trunk/template/rejected.tpl	(revision 14371)
@@ -1,17 +1,16 @@
 {html_head}<link rel="stylesheet" type="text/css" href="template/confmail.css">{/html_head}
 
-<div id="content" class="content">
-  <div class="titrePage">
-    <ul class="categoryActions">
-      <li>
-        <a href="{$GALLERY_URL}" title="{'return to homepage'|@translate}">
-          <img src="{$ROOT_URL}{$themeconf.icon_dir}/home.png" class="button" alt="{'home'|@translate}">
-        </a>
-      </li>
-    </ul>
-    <h2 class="confmail">{'UAM_Reject_Page_Title'|@translate}</h2>
-  </div>
-  <ul>
-    <div class="errors">{$CUSTOM_REJECT_MSG}</div>
+<div class="titrePage">
+  <ul class="categoryActions">
+    <li>
+      <a href="{$GALLERY_URL}" title="{'return to homepage'|@translate}">
+        <img src="{$UAM_PATH}template/icon/home.png" class="button" alt="{'home'|@translate}">
+      </a>
+    </li>
   </ul>
+  <h2 class="confmail">{'UAM_Reject_Page_Title'|@translate}</h2>
 </div>
+
+<ul>
+  <div class="errors">{$CUSTOM_REJECT_MSG}</div>
+</ul>