Index: /extensions/PersoFavicon/language/uk_UA/description.txt
===================================================================
--- /extensions/PersoFavicon/language/uk_UA/description.txt	(revision 14386)
+++ /extensions/PersoFavicon/language/uk_UA/description.txt	(revision 14386)
@@ -0,0 +1,1 @@
+Замініть Piwigo значок на значок в локальну каталогу.
Index: /extensions/PersoFavicon/language/uk_UA/plugin.lang.php
===================================================================
--- /extensions/PersoFavicon/language/uk_UA/plugin.lang.php	(revision 14386)
+++ /extensions/PersoFavicon/language/uk_UA/plugin.lang.php	(revision 14386)
@@ -0,0 +1,42 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based photo gallery                                    |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2008-2012 Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+$lang['help'] = 'Допомога';
+$lang['pfi_actu2'] = 'ПОПЕРЕДЖЕННЯ : будуть замінені на нові, які ви завантажуєте';
+$lang['pfi_actu'] = 'Іконка знаходиться в локальному каталозі :';
+$lang['pfi_aide1T'] = 'Додати форму';
+$lang['pfi_aide1'] = 'Ви можете додати іконку, використовуючи форму для додавання, вона буде автоматично перейменована в favicon.ico і замінить вже існуючу в локальному каталозі.<br>Максимальний розмір файлу 5kb.<br>В залежності від браузера є час до дати';
+$lang['pfi_aide2T'] = '$conf[\'PersoFavicon\']';
+$lang['pfi_aide2'] = 'Якщо ви завантажуєте іконку через FTP, який має іншу назву, ніж іконка, ви можете додати локальний файл конфігурації<br>$conf[\'PersoFavicon\']=\'your filename\'';
+$lang['pfi_ajout'] = 'Додати іконку';
+$lang['pfi_envoie'] = 'Додати в локальний каталог';
+$lang['pfi_erreur_exist'] = 'Файл було замінено';
+$lang['pfi_erreur_ext'] = 'Ви повинні завантажити файл типу .ico';
+$lang['pfi_erreur_mouve'] = 'Не вдається скопіювати файл в "локальний" каталог';
+$lang['pfi_erreur_nom'] = 'Невірне ім\'я файлу';
+$lang['pfi_erreur_taille'] = 'Ви повинні завантажити файл до 5 Кбайт максимум ';
+$lang['pfi_erreur_vide'] = 'Файл не знайдено';
+$lang['pfi_h2'] = 'Perso Favicon плаґін';
+$lang['pfi_ok'] = 'Файл був завантажений';
+$lang['pfi_select'] = 'Виберіть файл значка (.ico)';
+$lang['pfi_validdef'] = 'Ви підтверджуєте ваш вибір - якщо він існує замінить поточний значок';
+?>