Index: /trunk/language/fr_CA/admin.lang.php
===================================================================
--- /trunk/language/fr_CA/admin.lang.php	(revision 14419)
+++ /trunk/language/fr_CA/admin.lang.php	(revision 14420)
@@ -175,5 +175,4 @@
 $lang['You cannot move an album in its own sub album'] = "Vous ne pouvez pas déplacer une catégorie dans sa propre sous-catégorie";
 $lang['You need to confirm deletion'] = "Vous devez confirmer la suppression";
-$lang['add tags'] = "Ajouter les tags";
 $lang['Associate to album'] = "Associer à la catégorie";
 $lang['associate to group'] = "Associer au groupe";
@@ -224,6 +223,4 @@
 $lang['manage sub-albums'] = "Gérer les sous-catégories";
 $lang['Manage'] = "Gérer";
-$lang['maximum height'] = "Hauteur maximum";
-$lang['maximum width'] = "Largeur maximum";
 $lang['Execution time is out, treatment must be continue [Estimated time: %d second].'] = "Le temps d'exécution étant dépassé, le traitement doit continuer [Temps estimé: %d second].";
 $lang['Execution time is out, treatment must be continue [Estimated time: %d seconds].'] = "Le temps d'exécution étant dépassé, le traitement doit continuer [Temps estimé: %d secondes].";
@@ -307,10 +304,5 @@
 $lang['registration date'] = "date d'enregistrement";
 $lang['clean'] = "nettoyer";
-$lang['remove remote listing.xml file'] = "supprimer le fichier listing.xml distant";
-$lang['generate listing'] = "générer le listing";
-$lang['generate file listing.xml on remote site'] = "générer le fichier listing.xml sur le site distant";
 $lang['Create this site'] = "Créer ce site";
-$lang['A local listing.xml file has been found for'] = "Un fichier listing.xml local a été trouvé pour";
-$lang['read local listing.xml and update'] = "lire le listing.xml local et mettre à jour";
 $lang['test'] = "tester";
 $lang['test this remote site'] = "tester ce site distant";
@@ -325,5 +317,4 @@
 $lang['delete this site and all its attached elements'] = "supprimer ce site et toutes les informations associées";
 $lang['an error happened'] = "une erreur est survenue";
-$lang['file create_listing_file.php on remote site was not found'] = "le fichier create_listing_file.php est introuvable sur le site distant";
 $lang['Local'] = "Local";
 $lang['Remote'] = "Distant";
@@ -341,20 +332,13 @@
 $lang['User list'] = "Liste des utilisateurs";
 $lang['Edit photo information'] = "Modifier les informations d'une image";
-$lang['Thumbnail creation'] = "Création des miniatures";
 $lang['Database synchronization with files'] = "Synchronisation de la base à partir des fichiers de";
 $lang['all'] = "Tout";
-$lang['photos without thumbnail (jpeg and png only)'] = "images sans miniature (jpeg et png uniquement)";
 $lang['height must be a number superior to'] = "la hauteur doit un entier supérieur à";
 $lang['width must be a number superior to'] = "la largeur doit être un entier supérieur à";
 $lang['for the file format'] = "pour le format de fichier";
-$lang['No missing thumbnail'] = "Aucune miniature ne manque";
 $lang['Photo unreachable or no support'] = "Image inaccessible ou format non supporté";
 $lang['GD version'] = "version de GD";
-$lang['generated in'] = "générée en";
-$lang['Results of miniaturization'] = "Résultats de la miniaturisation";
 $lang['General statistics'] = "Statistiques générales";
-$lang['max time'] = "temps maximal";
 $lang['average time'] = "temps moyen";
-$lang['min time'] = "temps minimal";
 $lang['number of miniaturized photos'] = "nombre de miniatures créées";
 $lang['total time'] = "temps total";
@@ -369,8 +353,4 @@
 $lang['Choose an option'] = "Choisir une option";
 $lang['display maximum informations (added albums and photos, deleted albums and photos)'] = "Afficher un maximum d'informations (catégories ajoutées, éléments ajoutés, catégories et éléments supprimés)";
-$lang['Piwigo version differs on the remote site'] = "La version Piwigo sur le site distant est différente";
-$lang['Version of create_listing_file.php on the remote site and Piwigo must be the same'] = "Les version de create_listing_file.php sur le site distant et Piwigo doivent être les mêmes";
-$lang['listing.xml file was not found'] = "le fichier listing.xml est introuvable";
-$lang['listing.xml file was not found on the remote site. This file is generated by choosing the "generate listing" command in the Site manager'] = "le fichier listing.xml est introuvable sur le site distant. Ce fichier est généré avec la commande \"générer le listing\" dans le gestionnaire de sites";
 $lang['Error list'] = "Liste des erreurs";
 $lang['Errors caption'] = "Légende des erreurs";
@@ -378,6 +358,4 @@
 $lang['File/directory read error'] = "Erreur d'ouverture fichier/répertoire";
 $lang['The file or directory cannot be accessed (either it does not exist or the access is denied)'] = "Le fichier ou répertoire ne peut pas être accessible (soit il n'existe pas, soit l'accès est refusé)";
-$lang['a picture filetype requires a thumbnail. The thumbnail must be present in the sub-directory "thumbnail" of the album directory. The thumbnail filename must start with the configured thumbnail prefix and the extension must be among the following list :'] = "Chaque fichier image requiert une miniature. La miniature doit être présente dans le sous-répertoire \"thumbnail\" du répertoire de la catégorie. Le nom du fichier de la miniature doit commencer avec le paramètre de configuration \"prefix_thumbnail\" et l'extension du nom du fichier doit être parmi la liste suivante :";
-$lang['missing thumbnail'] = "miniature manquante";
 $lang['albums deleted in the database'] = "catégories supprimées de la base de données";
 $lang['photos deleted from the database'] = "éléments supprimés de la base de données";
@@ -426,7 +404,4 @@
 $lang['Element'] = "Élément";
 $lang['Section'] = "Section";
-$lang['Save page visits by guests'] = "Enregistrer les pages visitées par les invités";
-$lang['Save page visits by users'] = "Enregistrer les pages visitées par les utilisateurs";
-$lang['Save page visits by administrators'] = "Enregistrer les pages visitées par les administrateurs";
 $lang['Properties'] = "Propriétés";
 $lang['An information email was sent to group "%s"'] = "Un courriel d'informations a été envoyé aux membres du groupe \"%s\"";
@@ -452,6 +427,4 @@
 $lang['guest'] = "invité";
 $lang['default values'] = "valeurs par défaut";
-$lang['High filesize'] = "Taille du fichier haute résolution";
-$lang['High dimensions'] = 'Dimensions du fichier haute résolution';
 $lang['Guest cannot be deleted'] = "L'invité ne peut pas être supprimé";
 $lang['Default user cannot be deleted'] = "L'utilisateur par défaut ne peut pas être supprimé";
@@ -514,5 +487,4 @@
 $lang['Are you sure you want to install this plugin?'] = "Êtes-vous sûr de vouloir installer ce plugin?";
 $lang['Are you sure to install this upgrade? You must verify if this version does not need uninstallation.'] = "Êtes-vous sur de vouloir installer cette mise à jour? Vous devez vérifiez que cette mise à jour ne nécessite pas de désinstallation préalable.";
-$lang['%s has been successfully upgraded.'] = "%s a été mis à jour avec succès.";
 $lang['Plugin has been successfully copied'] = "Le plugin a été copié avec succès.";
 $lang['You might go to plugin list to install and activate it.'] = "Rendez-vous dans la liste des plugins pour l'installer et l'activer.";
@@ -652,5 +624,4 @@
 $lang['Activate Navigation Thumbnails'] = 'Activer les miniatures de navigation';
 $lang['Activate icon "%s"'] = 'Activer l\'icône "%s"';
-$lang['Activate field "%s"'] = 'Activer le champ "%s"';
 $lang['Photo Properties'] = 'Propriétés de la photo';
 $lang['pLoader stands for <em>Piwigo Uploader</em>. From your computer, pLoader prepares your photos and transfer them to your Piwigo photo gallery.'] = 'pLoader signifie <em>Piwigo Uploader</em>. Depuis votre ordinateur, pLoader prépare vos photos et les transfert vers votre galerie photo Piwigo.';
@@ -714,5 +685,4 @@
 $lang['In your php.ini file, the upload_max_filesize (%sB) is bigger than post_max_size (%sB), you should change this setting'] = 'Dans votre fichier php.ini, la variable upload_max_filesize (%sB) est plus grande que post_max_size (%sB), vous devriez modifier ce paramètre';
 $lang['include child albums'] = 'inclure les sous-albums';
-$lang['last import'] = 'dernière importation';
 $lang['manual order'] = 'ordre manuel';
 $lang['Missing a temporary folder'] = 'Impossible de trouver le répertoire temporaire';
@@ -723,5 +693,4 @@
 $lang['on the %d selected photos'] = 'sur les %d photos sélectionnées';
 $lang['Orphan tags deleted'] = 'Mots clés orphelins supprimés';
-$lang['predefined filter'] = 'filtre prédéfini';
 $lang['Refresh photo set'] = 'Rafraîchir le lot de photos';
 $lang['Remove all filters'] = 'Supprimer tous les filtres';
@@ -745,7 +714,4 @@
 $lang['Unknown upload error'] = 'Erreur inconnue survenue lors du transfert';
 $lang['Week starts on'] = 'La semaine commence le';
-$lang['with no album'] = 'sans album';
-$lang['with no tag'] = 'sans mot clef';
-$lang['with no virtual album'] = 'sans album virtuel';
 $lang['You have %d orphan tags: %s.'] = 'Vous avez %d mots clés orphelins: %s.';
 $lang['Themes which need upgrade'] = 'Thèmes à mettre à jour';
@@ -779,10 +745,6 @@
 $lang['You can\'t define a default photo order because you have a custom setting in your local configuration.'] = 'Vous ne pouvez définir l\'ordre par défaut des photos car vous avez un paramètre personnalisé dans votre configuration locale.';
 $lang['You have specified <i>$conf[\'order_by\']</i> in your local configuration file, this parameter in deprecated, please remove it or rename it into <i>$conf[\'order_by_custom\']</i> !'] = 'Vous avez spécifié <i>$conf[\'order_by\']</i> dans votre fichier de configuration, ce paramètre est obsolète, veuillez le supprimer ou le renommer en <i>$conf[\'order_by_custom\']</i> !';
-$lang['Regenerate Thumbnails'] = 'Régénérer les miniatures';
-$lang['Regenerate Websize Photos'] = 'Régénérer les photos taille web';
 $lang['Thumbnails generation in progress...'] = 'Génération des miniatures en cours...';
 $lang['Photos generation in progress...'] = 'Génération des photos en cours...';
-$lang['%s thumbnails have been regenerated'] = '%s miniatures ont été régénérées';
-$lang['%s thumbnails can not be regenerated'] = '%s miniatures ne peuvent pas être régénérées';
 $lang['%s photos have been regenerated'] = '%s photos ont été régénérées';
 $lang['%s photos can not be regenerated'] = '%s photos ne peuvent pas être régénérées';
@@ -816,5 +778,4 @@
 $lang['Height'] = 'Hauteur';
 $lang['Follow Orientation'] = 'Respecter l\'orientation';
-$lang['If you want to regenerate thumbnails, please go to the <a href="%s">Batch Manager</a>.'] = 'Si vous voulez régénérer des miniatures, merci de vous rendre dans la <a href="%s">Gestion par lot</a>.';
 $lang['Graphics Library'] = 'Bibliothèque graphique';
 $lang['... or '] = '... ou bien ';
@@ -847,4 +808,102 @@
 $lang['Activate comments'] = 'Activer les commentaires';
 $lang['Default comments order'] = 'Ordre par défaut des commentaires';
+$lang['%s has been successfully updated.'] = '%s a été mis à jour avec succès.';
+$lang['Add tags'] = 'Ajouter les mots clés';
+$lang['Add to caddie'] = 'Ajouter au panier';
+$lang['Last import'] = 'Dernière importation';
+$lang['Photo name'] = 'Nom de la photo';
+$lang['Predefined filter'] = 'Filtre prédéfini';
+$lang['The original image quality must be a number between %d and %d'] = 'La qualité d\'image pour le redimensionnement de la photo originale doit être un chiffre compris entre %d et %d';
+$lang['The original maximum height must be a number between %d and %d'] = 'La hauteur maximum pour le redimensionnement de la photo originale doit être un chiffre compris entre %d et %d';
+$lang['The original maximum width must be a number between %d and %d'] = 'La largeur maximum pour le redimensionnement de la photo originale doit être un chiffre compris entre %d et %d';
+$lang['With no album'] = 'Sans album';
+$lang['With no tag'] = 'Sans mot clé';
+$lang['With no virtual album'] = 'Sans album virtuel';
+$lang['Zoom'] = 'Zoom';
+$lang['Resize after upload'] = 'Redimensionner après transfert';
+$lang['Original Size'] = 'Taille originale';
+$lang['A locked gallery is only visible to administrators'] = 'Une galerie verrouillée n\'est visible que par les administrateurs';
+$lang['Unlock gallery'] = 'Déverouiller la galerie';
+$lang['Gallery unlocked'] = 'Galerie déverouillée';
+$lang['Notify administrators when a comment is'] = 'Notifier les administrateurs lorsqu\'un commentaire est';
+$lang['modified'] = 'modifié';
+$lang['pending validation'] = 'en attente de validation';
+$lang['Save visits in history for'] = 'Sauvegarder les visites dans l\'historique ';
+$lang['simple visitors'] = 'simple visiteurs';
+$lang['registered users'] = 'utilisateurs enregistrés';
+$lang['administrators'] = 'administrateurs';
+$lang['This album contains %d photos, added on %s.'] = 'Cet album contient %d photos, ajoutées le %s.';
+$lang['This album contains %d photos, added between %s and %s.'] = 'Cet album contient %d photos, ajoutées entre le %s et le %s.';
+$lang['This album contains no photo.'] = 'Cet album ne contient pas de photo.';
+$lang['Not cropped correctly?'] = 'La photo n\'est pas recadrée correctement ?';
+$lang['Center of interest'] = 'Centre d\'interêt';
+$lang['Move to album'] = 'Déplacer vers l\'album';
+$lang['You can activate only one mobile theme.'] = 'Vous ne pouvez activer qu\'un seul thème mobile.';
+$lang['Automatic sort order'] = 'Ordre de tri automatique';
+$lang['apply automatic sort order'] = 'appliquer un ordre de tri automatique';
+$lang['Save manual order'] = 'Sauvegarder l\'ordre manuel';
+$lang['cancel manual order'] = 'annuler l\'ordre manuel';
+$lang['Cancel'] = 'Annuler';
+$lang['List'] = 'Liste';
+$lang['Web Form'] = 'Formulaire web';
+$lang['Applications'] = 'Applications';
+$lang['Available versions for'] = 'Versions disponibles pour';
+$lang['Available on'] = 'Disponible sur';
+$lang['Piwigo for iOS (iPhone, iPad, iPod Touch)'] = 'Piwigo pour iOS (iPhone, iPad, iPod Touch)';
+$lang['<em>Piwigo for iOS</em> application empowers you to connect to your Piwigo gallery from your iPhone, iPad or iPod Touch, create some albums and upload several photos at once.'] = 'L\'application <em>Piwigo pour iOS</em> vous permet de connecter votre iPhone, iPad ou iPod Touch à votre galerie Piwigo pour y créer des albums et envoyer plusieurs photos à la fois.';
+$lang['Piwigo for Android'] = 'Piwigo pour Android';
+$lang['<em>Piwigo for Android</em> application empowers you to connect your Android phone or table to your Piwigo gallery, create some albums and upload several photos at once.'] = 'L\'application <em>Piwigo pour Android</em> vous permet de connecter votre smartphone ou votre tablette Android à votre galerie Piwigo pour y créer des albums et envoyer plusieurs photos à la fois.';
+$lang['Piwigo Publish plugin for Lightroom'] = 'Plugin de publication Piwigo pour Lightroom';
+$lang['Adobe Photoshop Lightroom is a photography software designed to manage large quantities of digital images and doing post production work.'] = 'Adobe Photoshop Lightroom est un logiciel de photographie conçu pour gérer d\'importantes collections de photos numériques et les post-traiter.';
+$lang['The Piwigo publish Plug-in allows you to export and synchronize photos from Lightroom directly to your Piwigo photo gallery.'] = 'Le plugin de publication Piwigo pour Lightroom vous permet d\'exporter et synchroniser vos photos de Lightroom vers votre galerie Piwigo.';
+$lang['Piwigo publish plugin for Shotwell'] = 'Greffon de publication Piwigo pour Shotwell';
+$lang['Shotwell is an open source digital photo organizer that runs on Linux. It is the default photo manager in Ubuntu and Fedora.'] = 'Shotwell est un gestionnaire de photos opensource pour Linux. Il a été sélectionné comme gestionnaire par défaut sur Ubuntu et Fedora.';
+$lang['On your Linux, simply install Shotwell with your package manager and the activate Piwigo publishing option.'] = 'Sur votre Linux, installez simplement Shotwell avec votre gestionnaire de paquet et activez l\'option de publication Piwigo.';
+$lang['Piwigo publish plugin for digiKam'] = 'Greffon de publication Piwigo pour digiKam';
+$lang['digiKam is an advanced digital photo management free software for Linux, Windows, and MacOSX.'] = 'digiKam est un logiciel libre de gestion avancée de photos numériques pour Linux, Windows et MacOSX.';
+$lang['digiKam is designed for photographers who want to view, manage, edit, enhance, organize, tag, and share photographs.'] = 'digiKam est conçu pour les photographes qui souhaitent visualiser, gérer, éditer, améliorer, organiser, tagger et partager leurs photos.';
+$lang['To export your photos from digiKam to Piwigo, simply install digiKam and the Kipi-plugins.'] = 'Pour exporter vos photos de digiKam vers Piwigo, installez simplement digiKam et les kipi-plugins.';
+$lang['Piwigo export plugin for iPhoto'] = 'Plugin d\'export Piwigo export pour iPhoto';
+$lang['iPhoto is the default photo manager on MacOSX. The Piwigo export plugin let you create new albums and export your photos directly from iPhoto to your Piwigo photo gallery.'] = 'iPhoto est le gestionnaire de photos disponible par défaut sur MacOSX. Le plugin d\'export Piwigo se connecter à votre galerie Piwigo et vous permet de créer des albums et d\'y ajouter vos photos.';
+$lang['Piwigo export plugin for Aperture'] = 'Greffon d\'exportation Piwigo pour Aperture';
+$lang['Aperture is a powerful tool to refine images and manage massive libraries on Mac.'] = 'Aperture est un outil puissant pour post-traiter vos photos et gérer votre photothèque sur Mac.';
+$lang['Aperture is designed for professional photographers with iPhoto simplicity.'] = 'Aperture est conçu pour les photographes professionnels avec la simplicité d\'iPhoto.';
+$lang['The Piwigo export plugin allows you to create albums and export photos.'] = 'Le greffon d\'exportation Piwigo vous permet de créer des albums et d\'y ajouter vos photos.';
+$lang['ReGalAndroid (RemoteGallery client for Android) is an open source (GPL v3) Piwigo client for the Android platform.'] = 'ReGalAndroid (RemoteGallery Android) est un client libre (GPL v3) pour Piwigo sur Android.';
+$lang['Features include gallery browsing, album creation and photo upload.'] = 'Ses fonctionnalités incluent la navigation sur la galerie, la création d\'albums et l\'ajout de photos.';
+$lang['Generate multiple size images'] = 'Générer les tailles multiples des photos';
+$lang['Delete multiple size images'] = 'Supprimer les tailles multiples des photos';
+$lang['any visitor can see this album'] = 'n\'importe quel visiteur peut voir cet album';
+$lang['visitors need to login and have the appropriate permissions to see this album'] = 'les visiteurs doivent se connecter et avoir les permissions nécessaires pour voir cet album';
+$lang['Groups and users'] = 'Groupes et utilisateurs';
+$lang['Permission granted for groups'] = 'Permission accordée pour les groupes';
+$lang['Select groups...'] = 'Sélectionnez les groupes...';
+$lang['There is no group in this gallery.'] = 'Il n\'y a pas de groupe dans cette galerie.';
+$lang['Permission granted for users'] = 'Permission accordée pour les utilisateurs';
+$lang['Select users...'] = 'Sélectionnez les utilisateurs...';
+$lang['%u users have automatic permission because they belong to a granted group.'] = '%u utilisateurs ont automatiquement la permission car ils appartiennent à un groupe autorisé.';
+$lang['include photos with lower privacy level'] = 'inclure les photos d\'un niveau de confidentialité inférieur';
+$lang['custom'] = 'Personnalisé';
+$lang['No group is permitted to see this private album'] = 'Aucun groupe n\'est autorisé à voir cet album privé';
+$lang['Permission management'] = 'Gestion des permissions';
+$lang['Photo sizes with crop'] = 'Tailles de photo avec retaillage';
+$lang['The center of interest is the most meaningful zone in the photo.'] = 'Le centre d\'intérêt est la zone la plus représentative de la photo.';
+$lang['For photo sizes with crop, such as "Square", Piwigo will do its best to include the center of interest.'] = 'Pour les tailles de photo avec retaillage, comme la taille "Carré", Piwigo essaiera d\'inclure au mieux ce centre d\'intérêt.';
+$lang['By default, the center of interest is placed in the middle of the photo.'] = 'Par défaut, le centre d\'intérêt est placé au milieu de la photo.';
+$lang['Select a zone with your mouse to define a new center of interest.'] = 'Sélectionnez une zone avec votre souris pour définir un nouveau centre d\'intérêt.';
+$lang['X Position'] = 'Position X';
+$lang['Y Position'] = 'Position Y';
+$lang['X Repeat'] = 'Répétition X';
+$lang['Opacity'] = 'Opacité';
+$lang['top left corner'] = 'coin supérieur gauche';
+$lang['top right corner'] = 'coin supérieur droit';
+$lang['middle'] = 'milieu';
+$lang['bottom left corner'] = 'coin inférieur gauche';
+$lang['bottom right corner'] = 'coin inférieur droit';
+$lang['Select a file'] = 'Sélectionnez un fichier';
+$lang['add a new watermark'] = 'Ajouter un nouveau filigrane';
+$lang['Apply watermark if width is bigger than'] = 'Appliquer le filigrane si la largeur est supérieure à';
+$lang['Apply watermark if height is bigger than'] = 'Appliquer le filigrane si la hauteur est supérieure à';
+$lang['Multiple Size'] = 'Tailles multiples';
 
 ?>